# This Python file uses the following encoding: utf-8
"""autogenerated by genpy from etsi_its_mapem_ts_msgs/DataParameters.msg. Do not edit."""
import codecs
import sys
python3 = True if sys.hexversion > 0x03000000 else False
import genpy
import struct


class DataParameters(genpy.Message):
  _md5sum = "f1a0b94b2bd85e404b9980ab5416ec09"
  _type = "etsi_its_mapem_ts_msgs/DataParameters"
  _has_header = False  # flag to mark the presence of a Header object
  _full_text = """# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# DataParameters ::= SEQUENCE {
#   processMethod     IA5String(SIZE(1..255)) OPTIONAL, 
#   processAgency     IA5String(SIZE(1..255)) OPTIONAL, 
#   lastCheckedDate   IA5String(SIZE(1..255)) OPTIONAL, 
#   geoidUsed         IA5String(SIZE(1..255)) OPTIONAL, 
#   ...  
# }
# ------------------------------------------------------------------------------

string process_method
bool process_method_is_present
uint8 PROCESS_METHOD_MIN_SIZE = 1
uint8 PROCESS_METHOD_MAX_SIZE = 255

string process_agency
bool process_agency_is_present
uint8 PROCESS_AGENCY_MIN_SIZE = 1
uint8 PROCESS_AGENCY_MAX_SIZE = 255

string last_checked_date
bool last_checked_date_is_present
uint8 LAST_CHECKED_DATE_MIN_SIZE = 1
uint8 LAST_CHECKED_DATE_MAX_SIZE = 255

string geoid_used
bool geoid_used_is_present
uint8 GEOID_USED_MIN_SIZE = 1
uint8 GEOID_USED_MAX_SIZE = 255

"""
  # Pseudo-constants
  PROCESS_METHOD_MIN_SIZE = 1
  PROCESS_METHOD_MAX_SIZE = 255
  PROCESS_AGENCY_MIN_SIZE = 1
  PROCESS_AGENCY_MAX_SIZE = 255
  LAST_CHECKED_DATE_MIN_SIZE = 1
  LAST_CHECKED_DATE_MAX_SIZE = 255
  GEOID_USED_MIN_SIZE = 1
  GEOID_USED_MAX_SIZE = 255

  __slots__ = ['process_method','process_method_is_present','process_agency','process_agency_is_present','last_checked_date','last_checked_date_is_present','geoid_used','geoid_used_is_present']
  _slot_types = ['string','bool','string','bool','string','bool','string','bool']

  def __init__(self, *args, **kwds):
    """
    Constructor. Any message fields that are implicitly/explicitly
    set to None will be assigned a default value. The recommend
    use is keyword arguments as this is more robust to future message
    changes.  You cannot mix in-order arguments and keyword arguments.

    The available fields are:
       process_method,process_method_is_present,process_agency,process_agency_is_present,last_checked_date,last_checked_date_is_present,geoid_used,geoid_used_is_present

    :param args: complete set of field values, in .msg order
    :param kwds: use keyword arguments corresponding to message field names
    to set specific fields.
    """
    if args or kwds:
      super(DataParameters, self).__init__(*args, **kwds)
      # message fields cannot be None, assign default values for those that are
      if self.process_method is None:
        self.process_method = ''
      if self.process_method_is_present is None:
        self.process_method_is_present = False
      if self.process_agency is None:
        self.process_agency = ''
      if self.process_agency_is_present is None:
        self.process_agency_is_present = False
      if self.last_checked_date is None:
        self.last_checked_date = ''
      if self.last_checked_date_is_present is None:
        self.last_checked_date_is_present = False
      if self.geoid_used is None:
        self.geoid_used = ''
      if self.geoid_used_is_present is None:
        self.geoid_used_is_present = False
    else:
      self.process_method = ''
      self.process_method_is_present = False
      self.process_agency = ''
      self.process_agency_is_present = False
      self.last_checked_date = ''
      self.last_checked_date_is_present = False
      self.geoid_used = ''
      self.geoid_used_is_present = False

  def _get_types(self):
    """
    internal API method
    """
    return self._slot_types

  def serialize(self, buff):
    """
    serialize message into buffer
    :param buff: buffer, ``StringIO``
    """
    try:
      _x = self.process_method
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.process_method_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.process_agency
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.process_agency_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.last_checked_date
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.last_checked_date_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.geoid_used
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.geoid_used_is_present
      buff.write(_get_struct_B().pack(_x))
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    except TypeError as te: self._check_types(ValueError("%s: '%s' when writing '%s'" % (type(te), str(te), str(locals().get('_x', self)))))

  def deserialize(self, str):
    """
    unpack serialized message in str into this message instance
    :param str: byte array of serialized message, ``str``
    """
    if python3:
      codecs.lookup_error("rosmsg").msg_type = self._type
    try:
      end = 0
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.process_method = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.process_method = str[start:end]
      start = end
      end += 1
      (self.process_method_is_present,) = _get_struct_B().unpack(str[start:end])
      self.process_method_is_present = bool(self.process_method_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.process_agency = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.process_agency = str[start:end]
      start = end
      end += 1
      (self.process_agency_is_present,) = _get_struct_B().unpack(str[start:end])
      self.process_agency_is_present = bool(self.process_agency_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.last_checked_date = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.last_checked_date = str[start:end]
      start = end
      end += 1
      (self.last_checked_date_is_present,) = _get_struct_B().unpack(str[start:end])
      self.last_checked_date_is_present = bool(self.last_checked_date_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.geoid_used = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.geoid_used = str[start:end]
      start = end
      end += 1
      (self.geoid_used_is_present,) = _get_struct_B().unpack(str[start:end])
      self.geoid_used_is_present = bool(self.geoid_used_is_present)
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e)  # most likely buffer underfill


  def serialize_numpy(self, buff, numpy):
    """
    serialize message with numpy array types into buffer
    :param buff: buffer, ``StringIO``
    :param numpy: numpy python module
    """
    try:
      _x = self.process_method
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.process_method_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.process_agency
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.process_agency_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.last_checked_date
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.last_checked_date_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.geoid_used
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.geoid_used_is_present
      buff.write(_get_struct_B().pack(_x))
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    except TypeError as te: self._check_types(ValueError("%s: '%s' when writing '%s'" % (type(te), str(te), str(locals().get('_x', self)))))

  def deserialize_numpy(self, str, numpy):
    """
    unpack serialized message in str into this message instance using numpy for array types
    :param str: byte array of serialized message, ``str``
    :param numpy: numpy python module
    """
    if python3:
      codecs.lookup_error("rosmsg").msg_type = self._type
    try:
      end = 0
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.process_method = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.process_method = str[start:end]
      start = end
      end += 1
      (self.process_method_is_present,) = _get_struct_B().unpack(str[start:end])
      self.process_method_is_present = bool(self.process_method_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.process_agency = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.process_agency = str[start:end]
      start = end
      end += 1
      (self.process_agency_is_present,) = _get_struct_B().unpack(str[start:end])
      self.process_agency_is_present = bool(self.process_agency_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.last_checked_date = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.last_checked_date = str[start:end]
      start = end
      end += 1
      (self.last_checked_date_is_present,) = _get_struct_B().unpack(str[start:end])
      self.last_checked_date_is_present = bool(self.last_checked_date_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.geoid_used = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.geoid_used = str[start:end]
      start = end
      end += 1
      (self.geoid_used_is_present,) = _get_struct_B().unpack(str[start:end])
      self.geoid_used_is_present = bool(self.geoid_used_is_present)
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e)  # most likely buffer underfill

_struct_I = genpy.struct_I
def _get_struct_I():
    global _struct_I
    return _struct_I
_struct_B = None
def _get_struct_B():
    global _struct_B
    if _struct_B is None:
        _struct_B = struct.Struct("<B")
    return _struct_B
