# This Python file uses the following encoding: utf-8
"""autogenerated by genpy from etsi_its_mapem_ts_msgs/MAPEM.msg. Do not edit."""
import codecs
import sys
python3 = True if sys.hexversion > 0x03000000 else False
import genpy
import struct

import etsi_its_mapem_ts_msgs.msg

class MAPEM(genpy.Message):
  _md5sum = "4e155690a8ff3a04ef4e765acca12d0f"
  _type = "etsi_its_mapem_ts_msgs/MAPEM"
  _has_header = False  # flag to mark the presence of a Header object
  _full_text = """# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# MAPEM ::= SEQUENCE {
#     -- @details header
#     -- The DE _protocolVersion_ is used to select the appropriate protocol decoder at the receiving ITS-S.
#     --   It shall be set to 2.
#     -- The DE _messageID_ shall be mapem(5).
#     header  ItsPduHeader,
#     -- @details map
#     -- The DE _map_ contains the MAP data as defined in ISO TS 19091.
#     map	    MapData
# }
# ------------------------------------------------------------------------------

ItsPduHeader header

MapData map


================================================================================
MSG: etsi_its_mapem_ts_msgs/ItsPduHeader
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# ItsPduHeader ::= SEQUENCE {
#     protocolVersion INTEGER (0..255),
#     messageID INTEGER{ denm(1), cam(2), poi(3), spatem(4), mapem(5), ivim(6), ev-rsr(7), tistpgtransaction(8), srem(9), ssem(10), evcsn(11), saem(12), rtcmem(13) } (0..255),  -- Mantis #7209, #7005
# ------------------------------------------------------------------------------

uint8 protocol_version
uint8 PROTOCOL_VERSION_MIN = 0
uint8 PROTOCOL_VERSION_MAX = 255

uint8 message_id
uint8 MESSAGE_ID_MIN = 0
uint8 MESSAGE_ID_MAX = 255
uint8 MESSAGE_ID_DENM = 1
uint8 MESSAGE_ID_CAM = 2
uint8 MESSAGE_ID_POI = 3
uint8 MESSAGE_ID_SPATEM = 4
uint8 MESSAGE_ID_MAPEM = 5
uint8 MESSAGE_ID_IVIM = 6
uint8 MESSAGE_ID_EV_RSR = 7
uint8 MESSAGE_ID_TISTPGTRANSACTION = 8
uint8 MESSAGE_ID_SREM = 9
uint8 MESSAGE_ID_SSEM = 10
uint8 MESSAGE_ID_EVCSN = 11
uint8 MESSAGE_ID_SAEM = 12
uint8 MESSAGE_ID_RTCMEM = 13

StationID station_id


================================================================================
MSG: etsi_its_mapem_ts_msgs/StationID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# StationID ::= INTEGER(0..4294967295)
# ------------------------------------------------------------------------------

uint32 value
uint32 MIN = 0
uint32 MAX = 4294967295


================================================================================
MSG: etsi_its_mapem_ts_msgs/MapData
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# MapData ::= SEQUENCE {
#   timeStamp         MinuteOfTheYear OPTIONAL, 
#   msgIssueRevision  MsgCount,        
#   layerType         LayerType OPTIONAL,
#   layerID           LayerID  OPTIONAL,
#   intersections     IntersectionGeometryList OPTIONAL,
#   roadSegments      RoadSegmentList OPTIONAL,
#   dataParameters    DataParameters OPTIONAL,
#   restrictionList   RestrictionClassList OPTIONAL,
#   regional          SEQUENCE (SIZE(1..4)) OF 
#                     RegionalExtension {{Reg-MapData}} OPTIONAL,
# ------------------------------------------------------------------------------

MinuteOfTheYear time_stamp
bool time_stamp_is_present

MsgCount msg_issue_revision

LayerType layer_type
bool layer_type_is_present

LayerID layer_id
bool layer_id_is_present

IntersectionGeometryList intersections
bool intersections_is_present

RoadSegmentList road_segments
bool road_segments_is_present

DataParameters data_parameters
bool data_parameters_is_present

RestrictionClassList restriction_list
bool restriction_list_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/MinuteOfTheYear
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# MinuteOfTheYear ::= INTEGER (0..527040) 
# ------------------------------------------------------------------------------

uint32 value
uint32 MIN = 0
uint32 MAX = 527040


================================================================================
MSG: etsi_its_mapem_ts_msgs/MsgCount
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# MsgCount ::= INTEGER (0..127)
# ------------------------------------------------------------------------------

uint8 value
uint8 MIN = 0
uint8 MAX = 127


================================================================================
MSG: etsi_its_mapem_ts_msgs/LayerType
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LayerType ::= ENUMERATED {
#   none, 
#   mixedContent,
#   generalMapData, 
#   intersectionData, 
#   curveData, 
#   roadwaySectionData, 
#   parkingAreaData, 
#   sharedLaneData,
#   ... 
# }
# ------------------------------------------------------------------------------

uint8 value
uint8 NONE = 0
uint8 MIXED_CONTENT = 1
uint8 GENERAL_MAP_DATA = 2
uint8 INTERSECTION_DATA = 3
uint8 CURVE_DATA = 4
uint8 ROADWAY_SECTION_DATA = 5
uint8 PARKING_AREA_DATA = 6
uint8 SHARED_LANE_DATA = 7


================================================================================
MSG: etsi_its_mapem_ts_msgs/LayerID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LayerID ::= INTEGER (0..100)
# ------------------------------------------------------------------------------

uint8 value
uint8 MIN = 0
uint8 MAX = 100


================================================================================
MSG: etsi_its_mapem_ts_msgs/IntersectionGeometryList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# IntersectionGeometryList ::= SEQUENCE (SIZE(1..32)) OF IntersectionGeometry
# ------------------------------------------------------------------------------

IntersectionGeometry[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 32


================================================================================
MSG: etsi_its_mapem_ts_msgs/IntersectionGeometry
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# IntersectionGeometry ::= SEQUENCE {
#   name        DescriptiveName OPTIONAL, 
#   id          IntersectionReferenceID,  
#   revision    MsgCount,    
#   refPoint    Position3D,
#   laneWidth   LaneWidth OPTIONAL,   
#   speedLimits SpeedLimitList OPTIONAL, 
#   laneSet     LaneList,
#   preemptPriorityData PreemptPriorityList OPTIONAL, 
#   regional     SEQUENCE (SIZE(1..4)) OF 
#                RegionalExtension {{Reg-IntersectionGeometry}} OPTIONAL,
# ------------------------------------------------------------------------------

DescriptiveName name
bool name_is_present

IntersectionReferenceID id

MsgCount revision

Position3D ref_point

LaneWidth lane_width
bool lane_width_is_present

SpeedLimitList speed_limits
bool speed_limits_is_present

LaneList lane_set

PreemptPriorityList preempt_priority_data
bool preempt_priority_data_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/DescriptiveName
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# DescriptiveName ::= IA5String (SIZE(1..63))
# ------------------------------------------------------------------------------

string value
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 63


================================================================================
MSG: etsi_its_mapem_ts_msgs/IntersectionReferenceID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# IntersectionReferenceID ::= SEQUENCE {
#   region  RoadRegulatorID OPTIONAL,
#   id      IntersectionID
# }
# ------------------------------------------------------------------------------

RoadRegulatorID region
bool region_is_present

IntersectionID id


================================================================================
MSG: etsi_its_mapem_ts_msgs/RoadRegulatorID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RoadRegulatorID ::= INTEGER (0..65535)
# ------------------------------------------------------------------------------

uint16 value
uint16 MIN = 0
uint16 MAX = 65535


================================================================================
MSG: etsi_its_mapem_ts_msgs/IntersectionID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# IntersectionID ::= INTEGER (0..65535)
# ------------------------------------------------------------------------------

uint16 value
uint16 MIN = 0
uint16 MAX = 65535


================================================================================
MSG: etsi_its_mapem_ts_msgs/Position3D
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Position3D ::= SEQUENCE {
#   lat        Latitude,
#   long       Longitude,
#   elevation  Elevation  OPTIONAL,
#   regional   SEQUENCE (SIZE(1..4)) OF 
#              RegionalExtension {{Reg-Position3D}} OPTIONAL,
# ------------------------------------------------------------------------------

Latitude lat

Longitude lon

Elevation elevation
bool elevation_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/Latitude
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Latitude ::= INTEGER {oneMicrodegreeNorth (10), oneMicrodegreeSouth (-10), unavailable(900000001)} (-900000000..900000001)
# ------------------------------------------------------------------------------

int32 value
int32 MIN = -900000000
int32 MAX = 900000001
int32 ONE_MICRODEGREE_NORTH = 10
int32 ONE_MICRODEGREE_SOUTH = -10
int32 UNAVAILABLE = 900000001


================================================================================
MSG: etsi_its_mapem_ts_msgs/Longitude
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Longitude ::= INTEGER {oneMicrodegreeEast (10), oneMicrodegreeWest (-10), unavailable(1800000001)} (-1800000000..1800000001)
# ------------------------------------------------------------------------------

int32 value
int32 MIN = -1800000000
int32 MAX = 1800000001
int32 ONE_MICRODEGREE_EAST = 10
int32 ONE_MICRODEGREE_WEST = -10
int32 UNAVAILABLE = 1800000001


================================================================================
MSG: etsi_its_mapem_ts_msgs/Elevation
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Elevation ::= INTEGER (-4096..61439)
# ------------------------------------------------------------------------------

int32 value
int32 MIN = -4096
int32 MAX = 61439


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneWidth
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneWidth ::= INTEGER (0..32767)
# ------------------------------------------------------------------------------

uint16 value
uint16 MIN = 0
uint16 MAX = 32767


================================================================================
MSG: etsi_its_mapem_ts_msgs/SpeedLimitList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# SpeedLimitList ::= SEQUENCE (SIZE(1..9)) OF RegulatorySpeedLimit
# ------------------------------------------------------------------------------

RegulatorySpeedLimit[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 9


================================================================================
MSG: etsi_its_mapem_ts_msgs/RegulatorySpeedLimit
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RegulatorySpeedLimit ::= SEQUENCE {
#   type        SpeedLimitType, 
#   speed       Velocity
# }
# ------------------------------------------------------------------------------

SpeedLimitType type

Velocity speed


================================================================================
MSG: etsi_its_mapem_ts_msgs/SpeedLimitType
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# SpeedLimitType ::= ENUMERATED {
#    unknown,
#    maxSpeedInSchoolZone,
#    maxSpeedInSchoolZoneWhenChildrenArePresent,
#    maxSpeedInConstructionZone,
#    vehicleMinSpeed,
#    vehicleMaxSpeed,
#    vehicleNightMaxSpeed,
#    truckMinSpeed,
#    truckMaxSpeed,
#    truckNightMaxSpeed,
#    vehiclesWithTrailersMinSpeed,
#    vehiclesWithTrailersMaxSpeed,
#    vehiclesWithTrailersNightMaxSpeed,
#    ...
# }
# ------------------------------------------------------------------------------

uint8 value
uint8 UNKNOWN = 0
uint8 MAX_SPEED_IN_SCHOOL_ZONE = 1
uint8 MAX_SPEED_IN_SCHOOL_ZONE_WHEN_CHILDREN_ARE_PRESENT = 2
uint8 MAX_SPEED_IN_CONSTRUCTION_ZONE = 3
uint8 VEHICLE_MIN_SPEED = 4
uint8 VEHICLE_MAX_SPEED = 5
uint8 VEHICLE_NIGHT_MAX_SPEED = 6
uint8 TRUCK_MIN_SPEED = 7
uint8 TRUCK_MAX_SPEED = 8
uint8 TRUCK_NIGHT_MAX_SPEED = 9
uint8 VEHICLES_WITH_TRAILERS_MIN_SPEED = 10
uint8 VEHICLES_WITH_TRAILERS_MAX_SPEED = 11
uint8 VEHICLES_WITH_TRAILERS_NIGHT_MAX_SPEED = 12


================================================================================
MSG: etsi_its_mapem_ts_msgs/Velocity
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Velocity ::= INTEGER (0..8191)
# ------------------------------------------------------------------------------

uint16 value
uint16 MIN = 0
uint16 MAX = 8191


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneList ::= SEQUENCE (SIZE(1..255)) OF GenericLane
# ------------------------------------------------------------------------------

GenericLane[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 255


================================================================================
MSG: etsi_its_mapem_ts_msgs/GenericLane
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# GenericLane ::= SEQUENCE { 
#   laneID           LaneID, 
#   name             DescriptiveName OPTIONAL,        
#   ingressApproach  ApproachID OPTIONAL,
#   egressApproach   ApproachID OPTIONAL,
#   laneAttributes   LaneAttributes, 
#   maneuvers        AllowedManeuvers OPTIONAL,
#   nodeList         NodeListXY,
#   connectsTo       ConnectsToList OPTIONAL, 
#   overlays         OverlayLaneList OPTIONAL, 
#   regional  SEQUENCE (SIZE(1..4)) OF 
#             RegionalExtension {{Reg-GenericLane}} OPTIONAL,
# ------------------------------------------------------------------------------

LaneID lane_id

DescriptiveName name
bool name_is_present

ApproachID ingress_approach
bool ingress_approach_is_present

ApproachID egress_approach
bool egress_approach_is_present

LaneAttributes lane_attributes

AllowedManeuvers maneuvers
bool maneuvers_is_present

NodeListXY node_list

ConnectsToList connects_to
bool connects_to_is_present

OverlayLaneList overlays
bool overlays_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneID ::= INTEGER (0..255)
# ------------------------------------------------------------------------------

uint8 value
uint8 MIN = 0
uint8 MAX = 255


================================================================================
MSG: etsi_its_mapem_ts_msgs/ApproachID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# ApproachID ::= INTEGER (0..15)
# ------------------------------------------------------------------------------

uint8 value
uint8 MIN = 0
uint8 MAX = 15


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributes
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes ::= SEQUENCE {
#   directionalUse  LaneDirection,
#   sharedWith      LaneSharing,
#   laneType        LaneTypeAttributes,
#   regional        RegionalExtension {{Reg-LaneAttributes}} OPTIONAL
# ------------------------------------------------------------------------------

LaneDirection directional_use

LaneSharing shared_with

LaneTypeAttributes lane_type


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneDirection
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneDirection ::= BIT STRING {
#   ingressPath     (0), 
#   egressPath      (1)
# } (SIZE (2))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 2
uint8 BIT_INDEX_INGRESS_PATH = 0
uint8 BIT_INDEX_EGRESS_PATH = 1


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneSharing
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneSharing ::= BIT STRING {
#    overlappingLaneDescriptionProvided  (0),
#    multipleLanesTreatedAsOneLane       (1),
#    otherNonMotorizedTrafficTypes       (2),
#    individualMotorizedVehicleTraffic   (3),
#    busVehicleTraffic                   (4),  
#    taxiVehicleTraffic                  (5),
#    pedestriansTraffic                  (6),
#    cyclistVehicleTraffic               (7),
#    trackedVehicleTraffic               (8),
#    pedestrianTraffic                   (9)
# } (SIZE (10))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 10
uint8 BIT_INDEX_OVERLAPPING_LANE_DESCRIPTION_PROVIDED = 0
uint8 BIT_INDEX_MULTIPLE_LANES_TREATED_AS_ONE_LANE = 1
uint8 BIT_INDEX_OTHER_NON_MOTORIZED_TRAFFIC_TYPES = 2
uint8 BIT_INDEX_INDIVIDUAL_MOTORIZED_VEHICLE_TRAFFIC = 3
uint8 BIT_INDEX_BUS_VEHICLE_TRAFFIC = 4
uint8 BIT_INDEX_TAXI_VEHICLE_TRAFFIC = 5
uint8 BIT_INDEX_PEDESTRIANS_TRAFFIC = 6
uint8 BIT_INDEX_CYCLIST_VEHICLE_TRAFFIC = 7
uint8 BIT_INDEX_TRACKED_VEHICLE_TRAFFIC = 8
uint8 BIT_INDEX_PEDESTRIAN_TRAFFIC = 9


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneTypeAttributes
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneTypeAttributes ::= CHOICE {
#   vehicle        LaneAttributes-Vehicle,
#   crosswalk      LaneAttributes-Crosswalk,
#   bikeLane       LaneAttributes-Bike,
#   sidewalk       LaneAttributes-Sidewalk,
#   median         LaneAttributes-Barrier,
#   striping       LaneAttributes-Striping,
#   trackedVehicle LaneAttributes-TrackedVehicle,
#   parking        LaneAttributes-Parking,
#   ...
# }
# ------------------------------------------------------------------------------

uint8 choice

LaneAttributesVehicle vehicle
uint8 CHOICE_VEHICLE = 0

LaneAttributesCrosswalk crosswalk
uint8 CHOICE_CROSSWALK = 1

LaneAttributesBike bike_lane
uint8 CHOICE_BIKE_LANE = 2

LaneAttributesSidewalk sidewalk
uint8 CHOICE_SIDEWALK = 3

LaneAttributesBarrier median
uint8 CHOICE_MEDIAN = 4

LaneAttributesStriping striping
uint8 CHOICE_STRIPING = 5

LaneAttributesTrackedVehicle tracked_vehicle
uint8 CHOICE_TRACKED_VEHICLE = 6

LaneAttributesParking parking
uint8 CHOICE_PARKING = 7


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributesVehicle
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes-Vehicle ::= BIT STRING {  
#   isVehicleRevocableLane       (0),
#   isVehicleFlyOverLane         (1),
#   hovLaneUseOnly               (2),
#   restrictedToBusUse           (3),
#   restrictedToTaxiUse          (4),
#   restrictedFromPublicUse      (5),
#   hasIRbeaconCoverage          (6),
#   permissionOnRequest          (7)
# } (SIZE (8,...))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 8
uint8 BIT_INDEX_IS_VEHICLE_REVOCABLE_LANE = 0
uint8 BIT_INDEX_IS_VEHICLE_FLY_OVER_LANE = 1
uint8 BIT_INDEX_HOV_LANE_USE_ONLY = 2
uint8 BIT_INDEX_RESTRICTED_TO_BUS_USE = 3
uint8 BIT_INDEX_RESTRICTED_TO_TAXI_USE = 4
uint8 BIT_INDEX_RESTRICTED_FROM_PUBLIC_USE = 5
uint8 BIT_INDEX_HAS_I_RBEACON_COVERAGE = 6
uint8 BIT_INDEX_PERMISSION_ON_REQUEST = 7


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributesCrosswalk
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes-Crosswalk ::= BIT STRING { 
#   crosswalkRevocableLane  (0),
#   bicyleUseAllowed        (1),
#   isXwalkFlyOverLane      (2),
#   fixedCycleTime          (3),
#   biDirectionalCycleTimes (4),
#   hasPushToWalkButton     (5),
#   audioSupport            (6),
#   rfSignalRequestPresent  (7),
#   unsignalizedSegmentsPresent  (8)
# } (SIZE (16))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 16
uint8 BIT_INDEX_CROSSWALK_REVOCABLE_LANE = 0
uint8 BIT_INDEX_BICYLE_USE_ALLOWED = 1
uint8 BIT_INDEX_IS_XWALK_FLY_OVER_LANE = 2
uint8 BIT_INDEX_FIXED_CYCLE_TIME = 3
uint8 BIT_INDEX_BI_DIRECTIONAL_CYCLE_TIMES = 4
uint8 BIT_INDEX_HAS_PUSH_TO_WALK_BUTTON = 5
uint8 BIT_INDEX_AUDIO_SUPPORT = 6
uint8 BIT_INDEX_RF_SIGNAL_REQUEST_PRESENT = 7
uint8 BIT_INDEX_UNSIGNALIZED_SEGMENTS_PRESENT = 8


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributesBike
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes-Bike ::= BIT STRING {
#   bikeRevocableLane       (0),
#   pedestrianUseAllowed    (1),
#   isBikeFlyOverLane       (2),
#   fixedCycleTime          (3),
#   biDirectionalCycleTimes (4),
#   isolatedByBarrier       (5),
#   unsignalizedSegmentsPresent  (6)
# } (SIZE (16))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 16
uint8 BIT_INDEX_BIKE_REVOCABLE_LANE = 0
uint8 BIT_INDEX_PEDESTRIAN_USE_ALLOWED = 1
uint8 BIT_INDEX_IS_BIKE_FLY_OVER_LANE = 2
uint8 BIT_INDEX_FIXED_CYCLE_TIME = 3
uint8 BIT_INDEX_BI_DIRECTIONAL_CYCLE_TIMES = 4
uint8 BIT_INDEX_ISOLATED_BY_BARRIER = 5
uint8 BIT_INDEX_UNSIGNALIZED_SEGMENTS_PRESENT = 6


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributesSidewalk
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes-Sidewalk ::= BIT STRING { 
#   sidewalk-RevocableLane  (0),
#   bicyleUseAllowed        (1),
#   isSidewalkFlyOverLane   (2),
#   walkBikes               (3)
# } (SIZE (16))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 16
uint8 BIT_INDEX_SIDEWALK_REVOCABLE_LANE = 0
uint8 BIT_INDEX_BICYLE_USE_ALLOWED = 1
uint8 BIT_INDEX_IS_SIDEWALK_FLY_OVER_LANE = 2
uint8 BIT_INDEX_WALK_BIKES = 3


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributesBarrier
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes-Barrier ::= BIT STRING {
#   median-RevocableLane     (0),
#   median                   (1),
#   whiteLineHashing         (2),
#   stripedLines             (3),
#   doubleStripedLines       (4),
#   trafficCones             (5),
#   constructionBarrier      (6),
#   trafficChannels          (7),
#   lowCurbs                 (8),
#   highCurbs                (9)
# } (SIZE (16))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 16
uint8 BIT_INDEX_MEDIAN_REVOCABLE_LANE = 0
uint8 BIT_INDEX_MEDIAN = 1
uint8 BIT_INDEX_WHITE_LINE_HASHING = 2
uint8 BIT_INDEX_STRIPED_LINES = 3
uint8 BIT_INDEX_DOUBLE_STRIPED_LINES = 4
uint8 BIT_INDEX_TRAFFIC_CONES = 5
uint8 BIT_INDEX_CONSTRUCTION_BARRIER = 6
uint8 BIT_INDEX_TRAFFIC_CHANNELS = 7
uint8 BIT_INDEX_LOW_CURBS = 8
uint8 BIT_INDEX_HIGH_CURBS = 9


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributesStriping
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes-Striping ::= BIT STRING { 
#   stripeToConnectingLanesRevocableLane      (0),
#   stripeDrawOnLeft                          (1),
#   stripeDrawOnRight                         (2),
#   stripeToConnectingLanesLeft               (3),
#   stripeToConnectingLanesRight              (4),
#   stripeToConnectingLanesAhead              (5)
# } (SIZE (16))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 16
uint8 BIT_INDEX_STRIPE_TO_CONNECTING_LANES_REVOCABLE_LANE = 0
uint8 BIT_INDEX_STRIPE_DRAW_ON_LEFT = 1
uint8 BIT_INDEX_STRIPE_DRAW_ON_RIGHT = 2
uint8 BIT_INDEX_STRIPE_TO_CONNECTING_LANES_LEFT = 3
uint8 BIT_INDEX_STRIPE_TO_CONNECTING_LANES_RIGHT = 4
uint8 BIT_INDEX_STRIPE_TO_CONNECTING_LANES_AHEAD = 5


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributesTrackedVehicle
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes-TrackedVehicle ::= BIT STRING { 
#   spec-RevocableLane         (0),
#   spec-commuterRailRoadTrack (1), 
#   spec-lightRailRoadTrack    (2),
#   spec-heavyRailRoadTrack    (3),
#   spec-otherRailType         (4)
# } (SIZE (16))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 16
uint8 BIT_INDEX_SPEC_REVOCABLE_LANE = 0
uint8 BIT_INDEX_SPEC_COMMUTER_RAIL_ROAD_TRACK = 1
uint8 BIT_INDEX_SPEC_LIGHT_RAIL_ROAD_TRACK = 2
uint8 BIT_INDEX_SPEC_HEAVY_RAIL_ROAD_TRACK = 3
uint8 BIT_INDEX_SPEC_OTHER_RAIL_TYPE = 4


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneAttributesParking
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneAttributes-Parking ::= BIT STRING { 
#   parkingRevocableLane         (0),
#   parallelParkingInUse         (1),
#   headInParkingInUse           (2),
#   doNotParkZone                (3),
#   parkingForBusUse             (4),
#   parkingForTaxiUse            (5),
#   noPublicParkingUse           (6)
# } (SIZE (16))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 16
uint8 BIT_INDEX_PARKING_REVOCABLE_LANE = 0
uint8 BIT_INDEX_PARALLEL_PARKING_IN_USE = 1
uint8 BIT_INDEX_HEAD_IN_PARKING_IN_USE = 2
uint8 BIT_INDEX_DO_NOT_PARK_ZONE = 3
uint8 BIT_INDEX_PARKING_FOR_BUS_USE = 4
uint8 BIT_INDEX_PARKING_FOR_TAXI_USE = 5
uint8 BIT_INDEX_NO_PUBLIC_PARKING_USE = 6


================================================================================
MSG: etsi_its_mapem_ts_msgs/AllowedManeuvers
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# AllowedManeuvers ::= BIT STRING {
#   maneuverStraightAllowed      (0), 
#   maneuverLeftAllowed          (1),  
#   maneuverRightAllowed         (2), 
#   maneuverUTurnAllowed         (3), 
#   maneuverLeftTurnOnRedAllowed (4), 
#   maneuverRightTurnOnRedAllowed (5), 
#   maneuverLaneChangeAllowed    (6), 
#   maneuverNoStoppingAllowed    (7), 
#   yieldAllwaysRequired         (8), 
#   goWithHalt                   (9), 
#   caution                      (10), 
#   reserved1                    (11)
# } (SIZE(12))
# ------------------------------------------------------------------------------

uint8[] value
uint8 bits_unused
uint8 SIZE_BITS = 12
uint8 BIT_INDEX_MANEUVER_STRAIGHT_ALLOWED = 0
uint8 BIT_INDEX_MANEUVER_LEFT_ALLOWED = 1
uint8 BIT_INDEX_MANEUVER_RIGHT_ALLOWED = 2
uint8 BIT_INDEX_MANEUVER_U_TURN_ALLOWED = 3
uint8 BIT_INDEX_MANEUVER_LEFT_TURN_ON_RED_ALLOWED = 4
uint8 BIT_INDEX_MANEUVER_RIGHT_TURN_ON_RED_ALLOWED = 5
uint8 BIT_INDEX_MANEUVER_LANE_CHANGE_ALLOWED = 6
uint8 BIT_INDEX_MANEUVER_NO_STOPPING_ALLOWED = 7
uint8 BIT_INDEX_YIELD_ALLWAYS_REQUIRED = 8
uint8 BIT_INDEX_GO_WITH_HALT = 9
uint8 BIT_INDEX_CAUTION = 10
uint8 BIT_INDEX_RESERVED1 = 11


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeListXY
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# NodeListXY ::= CHOICE {
#   nodes     NodeSetXY,
#   computed  ComputedLane,
#   ...
# }
# ------------------------------------------------------------------------------

uint8 choice

NodeSetXY nodes
uint8 CHOICE_NODES = 0

ComputedLane computed
uint8 CHOICE_COMPUTED = 1


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeSetXY
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# NodeSetXY ::= SEQUENCE (SIZE(2..63)) OF NodeXY
# ------------------------------------------------------------------------------

NodeXY[] array
uint8 MIN_SIZE = 2
uint8 MAX_SIZE = 63


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeXY
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# NodeXY ::= SEQUENCE {
#   delta       NodeOffsetPointXY,
#   attributes  NodeAttributeSetXY OPTIONAL,
#   ... 
# }
# ------------------------------------------------------------------------------

NodeOffsetPointXY delta

NodeAttributeSetXY attributes
bool attributes_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeOffsetPointXY
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# NodeOffsetPointXY ::= CHOICE {
#   node-XY1         Node-XY-20b,
#   node-XY2         Node-XY-22b,
#   node-XY3         Node-XY-24b,
#   node-XY4         Node-XY-26b,
#   node-XY5         Node-XY-28b,
#   node-XY6         Node-XY-32b,
#   node-LatLon      Node-LLmD-64b,
#   regional         RegionalExtension {{Reg-NodeOffsetPointXY}}
# ------------------------------------------------------------------------------

uint8 choice

NodeXY20b node_xy1
uint8 CHOICE_NODE_XY1 = 0

NodeXY22b node_xy2
uint8 CHOICE_NODE_XY2 = 1

NodeXY24b node_xy3
uint8 CHOICE_NODE_XY3 = 2

NodeXY26b node_xy4
uint8 CHOICE_NODE_XY4 = 3

NodeXY28b node_xy5
uint8 CHOICE_NODE_XY5 = 4

NodeXY32b node_xy6
uint8 CHOICE_NODE_XY6 = 5

NodeLLmD64b node_lat_lon
uint8 CHOICE_NODE_LAT_LON = 6


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeXY20b
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Node-XY-20b ::= SEQUENCE {
#   x  Offset-B10,
#   y  Offset-B10
# }
# ------------------------------------------------------------------------------

OffsetB10 x

OffsetB10 y


================================================================================
MSG: etsi_its_mapem_ts_msgs/OffsetB10
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Offset-B10 ::= INTEGER (-512..511)
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -512
int16 MAX = 511


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeXY22b
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Node-XY-22b ::= SEQUENCE {
#   x  Offset-B11,
#   y  Offset-B11
# }
# ------------------------------------------------------------------------------

OffsetB11 x

OffsetB11 y


================================================================================
MSG: etsi_its_mapem_ts_msgs/OffsetB11
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Offset-B11 ::= INTEGER (-1024..1023)
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -1024
int16 MAX = 1023


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeXY24b
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Node-XY-24b ::= SEQUENCE {
#   x  Offset-B12,
#   y  Offset-B12
# }
# ------------------------------------------------------------------------------

OffsetB12 x

OffsetB12 y


================================================================================
MSG: etsi_its_mapem_ts_msgs/OffsetB12
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Offset-B12 ::= INTEGER (-2048..2047)
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -2048
int16 MAX = 2047


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeXY26b
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Node-XY-26b ::= SEQUENCE {
#   x  Offset-B13,
#   y  Offset-B13
# }
# ------------------------------------------------------------------------------

OffsetB13 x

OffsetB13 y


================================================================================
MSG: etsi_its_mapem_ts_msgs/OffsetB13
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Offset-B13 ::= INTEGER (-4096..4095)
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -4096
int16 MAX = 4095


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeXY28b
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Node-XY-28b ::= SEQUENCE {
#   x  Offset-B14,
#   y  Offset-B14
# }
# ------------------------------------------------------------------------------

OffsetB14 x

OffsetB14 y


================================================================================
MSG: etsi_its_mapem_ts_msgs/OffsetB14
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Offset-B14 ::= INTEGER (-8192..8191)
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -8192
int16 MAX = 8191


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeXY32b
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Node-XY-32b ::= SEQUENCE {
#   x  Offset-B16,
#   y  Offset-B16
# }
# ------------------------------------------------------------------------------

OffsetB16 x

OffsetB16 y


================================================================================
MSG: etsi_its_mapem_ts_msgs/OffsetB16
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Offset-B16 ::= INTEGER (-32768..32767)
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -32768
int16 MAX = 32767


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeLLmD64b
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Node-LLmD-64b ::= SEQUENCE {
#   lon  Longitude,
#   lat  Latitude
# }
# ------------------------------------------------------------------------------

Longitude lon

Latitude lat


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeAttributeSetXY
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# NodeAttributeSetXY ::= SEQUENCE {
#   localNode    NodeAttributeXYList OPTIONAL,
#   disabled     SegmentAttributeXYList OPTIONAL,
#   enabled      SegmentAttributeXYList OPTIONAL,
#   data         LaneDataAttributeList OPTIONAL,
#   dWidth       Offset-B10 OPTIONAL,
#   dElevation   Offset-B10 OPTIONAL,
#   regional     SEQUENCE (SIZE(1..4)) OF 
#                RegionalExtension {{Reg-NodeAttributeSetXY}} OPTIONAL,
# ------------------------------------------------------------------------------

NodeAttributeXYList local_node
bool local_node_is_present

SegmentAttributeXYList disabled
bool disabled_is_present

SegmentAttributeXYList enabled
bool enabled_is_present

LaneDataAttributeList data
bool data_is_present

OffsetB10 d_width
bool d_width_is_present

OffsetB10 d_elevation
bool d_elevation_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeAttributeXYList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# NodeAttributeXYList ::= SEQUENCE (SIZE(1..8)) OF NodeAttributeXY
# ------------------------------------------------------------------------------

NodeAttributeXY[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 8


================================================================================
MSG: etsi_its_mapem_ts_msgs/NodeAttributeXY
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# NodeAttributeXY ::= ENUMERATED {
#   reserved,  
#   stopLine,
#   roundedCapStyleA,
#   roundedCapStyleB,
#   mergePoint,
#   divergePoint,
#   downstreamStopLine,
#   downstreamStartNode,
#   closedToTraffic,
#   safeIsland,
#   curbPresentAtStepOff,
#   hydrantPresent,
#   ...
# }
# ------------------------------------------------------------------------------

uint8 value
uint8 RESERVED = 0
uint8 STOP_LINE = 1
uint8 ROUNDED_CAP_STYLE_A = 2
uint8 ROUNDED_CAP_STYLE_B = 3
uint8 MERGE_POINT = 4
uint8 DIVERGE_POINT = 5
uint8 DOWNSTREAM_STOP_LINE = 6
uint8 DOWNSTREAM_START_NODE = 7
uint8 CLOSED_TO_TRAFFIC = 8
uint8 SAFE_ISLAND = 9
uint8 CURB_PRESENT_AT_STEP_OFF = 10
uint8 HYDRANT_PRESENT = 11


================================================================================
MSG: etsi_its_mapem_ts_msgs/SegmentAttributeXYList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# SegmentAttributeXYList ::= SEQUENCE (SIZE(1..8)) OF SegmentAttributeXY
# ------------------------------------------------------------------------------

SegmentAttributeXY[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 8


================================================================================
MSG: etsi_its_mapem_ts_msgs/SegmentAttributeXY
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# SegmentAttributeXY ::= ENUMERATED {
#   reserved                  ,  
#   doNotBlock                ,
#   whiteLine                 ,
#   mergingLaneLeft           ,
#   mergingLaneRight          ,
#   curbOnLeft                ,
#   curbOnRight               ,
#   loadingzoneOnLeft         ,
#   loadingzoneOnRight        ,
#   turnOutPointOnLeft        ,
#   turnOutPointOnRight       ,
#   adjacentParkingOnLeft     ,
#   adjacentParkingOnRight    ,
#   adjacentBikeLaneOnLeft    ,
#   adjacentBikeLaneOnRight   ,
#   sharedBikeLane            ,
#   bikeBoxInFront            ,
#   transitStopOnLeft         ,
#   transitStopOnRight        ,
#   transitStopInLane         ,
#   sharedWithTrackedVehicle  ,
#   safeIsland                ,
#   lowCurbsPresent           ,
#   rumbleStripPresent        ,
#   audibleSignalingPresent   ,
#   adaptiveTimingPresent     ,
#   rfSignalRequestPresent    ,
#   partialCurbIntrusion      ,
#   taperToLeft               ,
#   taperToRight              ,
#   taperToCenterLine         ,
#   parallelParking           ,
#   headInParking             ,
#   freeParking               ,
#   timeRestrictionsOnParking ,
#   costToPark                ,
#   midBlockCurbPresent       ,
#   unEvenPavementPresent     ,
#   ...
# }
# ------------------------------------------------------------------------------

uint8 value
uint8 RESERVED = 0
uint8 DO_NOT_BLOCK = 1
uint8 WHITE_LINE = 2
uint8 MERGING_LANE_LEFT = 3
uint8 MERGING_LANE_RIGHT = 4
uint8 CURB_ON_LEFT = 5
uint8 CURB_ON_RIGHT = 6
uint8 LOADINGZONE_ON_LEFT = 7
uint8 LOADINGZONE_ON_RIGHT = 8
uint8 TURN_OUT_POINT_ON_LEFT = 9
uint8 TURN_OUT_POINT_ON_RIGHT = 10
uint8 ADJACENT_PARKING_ON_LEFT = 11
uint8 ADJACENT_PARKING_ON_RIGHT = 12
uint8 ADJACENT_BIKE_LANE_ON_LEFT = 13
uint8 ADJACENT_BIKE_LANE_ON_RIGHT = 14
uint8 SHARED_BIKE_LANE = 15
uint8 BIKE_BOX_IN_FRONT = 16
uint8 TRANSIT_STOP_ON_LEFT = 17
uint8 TRANSIT_STOP_ON_RIGHT = 18
uint8 TRANSIT_STOP_IN_LANE = 19
uint8 SHARED_WITH_TRACKED_VEHICLE = 20
uint8 SAFE_ISLAND = 21
uint8 LOW_CURBS_PRESENT = 22
uint8 RUMBLE_STRIP_PRESENT = 23
uint8 AUDIBLE_SIGNALING_PRESENT = 24
uint8 ADAPTIVE_TIMING_PRESENT = 25
uint8 RF_SIGNAL_REQUEST_PRESENT = 26
uint8 PARTIAL_CURB_INTRUSION = 27
uint8 TAPER_TO_LEFT = 28
uint8 TAPER_TO_RIGHT = 29
uint8 TAPER_TO_CENTER_LINE = 30
uint8 PARALLEL_PARKING = 31
uint8 HEAD_IN_PARKING = 32
uint8 FREE_PARKING = 33
uint8 TIME_RESTRICTIONS_ON_PARKING = 34
uint8 COST_TO_PARK = 35
uint8 MID_BLOCK_CURB_PRESENT = 36
uint8 UN_EVEN_PAVEMENT_PRESENT = 37


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneDataAttributeList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneDataAttributeList ::= SEQUENCE (SIZE(1..8)) OF LaneDataAttribute
# ------------------------------------------------------------------------------

LaneDataAttribute[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 8


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneDataAttribute
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneDataAttribute ::= CHOICE {
#    pathEndPointAngle        DeltaAngle,  
#    laneCrownPointCenter     RoadwayCrownAngle,  
#    laneCrownPointLeft       RoadwayCrownAngle,  
#    laneCrownPointRight      RoadwayCrownAngle,  
#    laneAngle                MergeDivergeNodeAngle,  
#    speedLimits              SpeedLimitList,
#    regional  SEQUENCE (SIZE(1..4)) OF 
#              RegionalExtension {{Reg-LaneDataAttribute}}, 
#    ...
# }
# ------------------------------------------------------------------------------

uint8 choice

DeltaAngle path_end_point_angle
uint8 CHOICE_PATH_END_POINT_ANGLE = 0

RoadwayCrownAngle lane_crown_point_center
uint8 CHOICE_LANE_CROWN_POINT_CENTER = 1

RoadwayCrownAngle lane_crown_point_left
uint8 CHOICE_LANE_CROWN_POINT_LEFT = 2

RoadwayCrownAngle lane_crown_point_right
uint8 CHOICE_LANE_CROWN_POINT_RIGHT = 3

MergeDivergeNodeAngle lane_angle
uint8 CHOICE_LANE_ANGLE = 4

SpeedLimitList speed_limits
uint8 CHOICE_SPEED_LIMITS = 5


================================================================================
MSG: etsi_its_mapem_ts_msgs/DeltaAngle
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# DeltaAngle ::= INTEGER (-150..150) 
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -150
int16 MAX = 150


================================================================================
MSG: etsi_its_mapem_ts_msgs/RoadwayCrownAngle
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RoadwayCrownAngle ::= INTEGER (-128..127) 
# ------------------------------------------------------------------------------

int8 value
int8 MIN = -128
int8 MAX = 127


================================================================================
MSG: etsi_its_mapem_ts_msgs/MergeDivergeNodeAngle
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# MergeDivergeNodeAngle ::= INTEGER (-180..180) 
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -180
int16 MAX = 180


================================================================================
MSG: etsi_its_mapem_ts_msgs/ComputedLane
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# ComputedLane ::= SEQUENCE {
#   referenceLaneId    LaneID,
#   offsetXaxis        CHOICE {
#                         small   DrivenLineOffsetSm, 
#                         large   DrivenLineOffsetLg
#                         },  
#   offsetYaxis        CHOICE {
#                         small   DrivenLineOffsetSm, 
#                         large   DrivenLineOffsetLg
#                         },  
#   rotateXY           Angle OPTIONAL, 
#   scaleXaxis         Scale-B12 OPTIONAL, 
#   scaleYaxis         Scale-B12 OPTIONAL, 
#   regional  SEQUENCE (SIZE(1..4)) OF 
#             RegionalExtension {{Reg-ComputedLane}} OPTIONAL,
# ------------------------------------------------------------------------------

LaneID reference_lane_id

uint8 offset_xaxis_choice

DrivenLineOffsetSm offset_xaxis_small
uint8 CHOICE_OFFSET_XAXIS_SMALL = 0

DrivenLineOffsetLg offset_xaxis_large
uint8 CHOICE_OFFSET_XAXIS_LARGE = 1

uint8 offset_yaxis_choice

DrivenLineOffsetSm offset_yaxis_small
uint8 CHOICE_OFFSET_YAXIS_SMALL = 0

DrivenLineOffsetLg offset_yaxis_large
uint8 CHOICE_OFFSET_YAXIS_LARGE = 1

Angle rotate_xy
bool rotate_xy_is_present

ScaleB12 scale_xaxis
bool scale_xaxis_is_present

ScaleB12 scale_yaxis
bool scale_yaxis_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/DrivenLineOffsetSm
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# DrivenLineOffsetSm ::= INTEGER (-2047..2047) 
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -2047
int16 MAX = 2047


================================================================================
MSG: etsi_its_mapem_ts_msgs/DrivenLineOffsetLg
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# DrivenLineOffsetLg ::= INTEGER (-32767..32767) 
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -32767
int16 MAX = 32767


================================================================================
MSG: etsi_its_mapem_ts_msgs/Angle
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Angle ::= INTEGER (0..28800) 
# ------------------------------------------------------------------------------

uint16 value
uint16 MIN = 0
uint16 MAX = 28800


================================================================================
MSG: etsi_its_mapem_ts_msgs/ScaleB12
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Scale-B12 ::= INTEGER (-2048..2047)
# ------------------------------------------------------------------------------

int16 value
int16 MIN = -2048
int16 MAX = 2047


================================================================================
MSG: etsi_its_mapem_ts_msgs/ConnectsToList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# ConnectsToList ::= SEQUENCE (SIZE(1..16)) OF Connection
# ------------------------------------------------------------------------------

Connection[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 16


================================================================================
MSG: etsi_its_mapem_ts_msgs/Connection
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# Connection ::= SEQUENCE {
#   connectingLane     ConnectingLane, 
#   remoteIntersection IntersectionReferenceID OPTIONAL,  
#   signalGroup        SignalGroupID OPTIONAL,    
#   userClass          RestrictionClassID OPTIONAL, 
#   connectionID       LaneConnectionID OPTIONAL
# }
# ------------------------------------------------------------------------------

ConnectingLane connecting_lane

IntersectionReferenceID remote_intersection
bool remote_intersection_is_present

SignalGroupID signal_group
bool signal_group_is_present

RestrictionClassID user_class
bool user_class_is_present

LaneConnectionID connection_id
bool connection_id_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/ConnectingLane
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# ConnectingLane ::= SEQUENCE {
#   lane      LaneID,
#   maneuver  AllowedManeuvers OPTIONAL
# }
# ------------------------------------------------------------------------------

LaneID lane

AllowedManeuvers maneuver
bool maneuver_is_present


================================================================================
MSG: etsi_its_mapem_ts_msgs/SignalGroupID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# SignalGroupID ::= INTEGER (0..255) 
# ------------------------------------------------------------------------------

uint8 value
uint8 MIN = 0
uint8 MAX = 255


================================================================================
MSG: etsi_its_mapem_ts_msgs/RestrictionClassID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RestrictionClassID ::= INTEGER (0..255)
# ------------------------------------------------------------------------------

uint8 value
uint8 MIN = 0
uint8 MAX = 255


================================================================================
MSG: etsi_its_mapem_ts_msgs/LaneConnectionID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# LaneConnectionID ::= INTEGER (0..255)
# ------------------------------------------------------------------------------

uint8 value
uint8 MIN = 0
uint8 MAX = 255


================================================================================
MSG: etsi_its_mapem_ts_msgs/OverlayLaneList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# OverlayLaneList ::= SEQUENCE (SIZE(1..5)) OF LaneID
# ------------------------------------------------------------------------------

LaneID[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 5


================================================================================
MSG: etsi_its_mapem_ts_msgs/PreemptPriorityList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# PreemptPriorityList ::= SEQUENCE (SIZE(1..32)) OF SignalControlZone
# ------------------------------------------------------------------------------

SignalControlZone[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 32


================================================================================
MSG: etsi_its_mapem_ts_msgs/SignalControlZone
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# SignalControlZone ::=  SEQUENCE {
#   zone  RegionalExtension {{Reg-SignalControlZone}},
#   ...
# }
# ------------------------------------------------------------------------------


================================================================================
MSG: etsi_its_mapem_ts_msgs/RoadSegmentList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RoadSegmentList ::= SEQUENCE (SIZE(1..32)) OF RoadSegment
# ------------------------------------------------------------------------------

RoadSegment[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 32


================================================================================
MSG: etsi_its_mapem_ts_msgs/RoadSegment
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RoadSegment ::= SEQUENCE {
#   name        DescriptiveName OPTIONAL,
#   id          RoadSegmentReferenceID,
#   revision    MsgCount,    
#   refPoint    Position3D,
#   laneWidth   LaneWidth OPTIONAL,   
#   speedLimits SpeedLimitList OPTIONAL, 
#   roadLaneSet RoadLaneSetList,   
#   regional    SEQUENCE (SIZE(1..4)) OF 
#               RegionalExtension {{Reg-RoadSegment}} OPTIONAL,
# ------------------------------------------------------------------------------

DescriptiveName name
bool name_is_present

RoadSegmentReferenceID id

MsgCount revision

Position3D ref_point

LaneWidth lane_width
bool lane_width_is_present

SpeedLimitList speed_limits
bool speed_limits_is_present

RoadLaneSetList road_lane_set


================================================================================
MSG: etsi_its_mapem_ts_msgs/RoadSegmentReferenceID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RoadSegmentReferenceID ::= SEQUENCE {
#   region  RoadRegulatorID OPTIONAL,
#   id      RoadSegmentID
# }
# ------------------------------------------------------------------------------

RoadRegulatorID region
bool region_is_present

RoadSegmentID id


================================================================================
MSG: etsi_its_mapem_ts_msgs/RoadSegmentID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RoadSegmentID ::= INTEGER (0..65535)
# ------------------------------------------------------------------------------

uint16 value
uint16 MIN = 0
uint16 MAX = 65535


================================================================================
MSG: etsi_its_mapem_ts_msgs/RoadLaneSetList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RoadLaneSetList ::= SEQUENCE (SIZE(1..255)) OF GenericLane
# ------------------------------------------------------------------------------

GenericLane[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 255


================================================================================
MSG: etsi_its_mapem_ts_msgs/DataParameters
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# DataParameters ::= SEQUENCE {
#   processMethod     IA5String(SIZE(1..255)) OPTIONAL, 
#   processAgency     IA5String(SIZE(1..255)) OPTIONAL, 
#   lastCheckedDate   IA5String(SIZE(1..255)) OPTIONAL, 
#   geoidUsed         IA5String(SIZE(1..255)) OPTIONAL, 
#   ...  
# }
# ------------------------------------------------------------------------------

string process_method
bool process_method_is_present
uint8 PROCESS_METHOD_MIN_SIZE = 1
uint8 PROCESS_METHOD_MAX_SIZE = 255

string process_agency
bool process_agency_is_present
uint8 PROCESS_AGENCY_MIN_SIZE = 1
uint8 PROCESS_AGENCY_MAX_SIZE = 255

string last_checked_date
bool last_checked_date_is_present
uint8 LAST_CHECKED_DATE_MIN_SIZE = 1
uint8 LAST_CHECKED_DATE_MAX_SIZE = 255

string geoid_used
bool geoid_used_is_present
uint8 GEOID_USED_MIN_SIZE = 1
uint8 GEOID_USED_MAX_SIZE = 255


================================================================================
MSG: etsi_its_mapem_ts_msgs/RestrictionClassList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RestrictionClassList ::= SEQUENCE (SIZE(1..254)) OF RestrictionClassAssignment
# ------------------------------------------------------------------------------

RestrictionClassAssignment[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 254


================================================================================
MSG: etsi_its_mapem_ts_msgs/RestrictionClassAssignment
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RestrictionClassAssignment ::= SEQUENCE {
#   id       RestrictionClassID,
#   users    RestrictionUserTypeList 
# }
# ------------------------------------------------------------------------------

RestrictionClassID id

RestrictionUserTypeList users


================================================================================
MSG: etsi_its_mapem_ts_msgs/RestrictionUserTypeList
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RestrictionUserTypeList ::= SEQUENCE (SIZE(1..16)) OF  RestrictionUserType
# ------------------------------------------------------------------------------

RestrictionUserType[] array
uint8 MIN_SIZE = 1
uint8 MAX_SIZE = 16


================================================================================
MSG: etsi_its_mapem_ts_msgs/RestrictionUserType
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RestrictionUserType ::= CHOICE {
#   basicType   RestrictionAppliesTo,
#   regional    SEQUENCE (SIZE(1..4)) OF 
#               RegionalExtension {{Reg-RestrictionUserType}}, 
#   ...
# }
# ------------------------------------------------------------------------------

uint8 choice

RestrictionAppliesTo basic_type
uint8 CHOICE_BASIC_TYPE = 0


================================================================================
MSG: etsi_its_mapem_ts_msgs/RestrictionAppliesTo
# ==============================================================================
# MIT License
#
# Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
# python3
#   utils/codegen/codegen-py/asn1ToRosMsg.py
#   asn1/raw/is_ts103301/MAPEM-PDU-Descriptions.asn
#   asn1/raw/is_ts103301/cdd/ITS-Container.asn
#   asn1/raw/is_ts103301/iso-patched/ISO24534-3_ElectronicRegistrationIdentificationVehicleDataModule-patched.asn
#   asn1/raw/is_ts103301/build/asn1/ISO-TS-19091-addgrp-C-2018-patched.asn
#   asn1/patched/is_ts103301/build/asn1/ISO14816_AVIAEINumberingAndDataStructures.asn
#   -t
#   mapem_ts
#   -o
#   etsi_its_msgs/etsi_its_mapem_ts_msgs/msg
# ------------------------------------------------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# RestrictionAppliesTo ::= ENUMERATED {
#   none,
#   equippedTransit,
#   equippedTaxis,
#   equippedOther,
#   emissionCompliant,
#   equippedBicycle,
#   weightCompliant,
#   heightCompliant,
#   pedestrians,
#   slowMovingPersons,
#   wheelchairUsers,
#   visualDisabilities,
#   audioDisabilities,
#   otherUnknownDisabilities,
#   ...
# }
# ------------------------------------------------------------------------------

uint8 value
uint8 NONE = 0
uint8 EQUIPPED_TRANSIT = 1
uint8 EQUIPPED_TAXIS = 2
uint8 EQUIPPED_OTHER = 3
uint8 EMISSION_COMPLIANT = 4
uint8 EQUIPPED_BICYCLE = 5
uint8 WEIGHT_COMPLIANT = 6
uint8 HEIGHT_COMPLIANT = 7
uint8 PEDESTRIANS = 8
uint8 SLOW_MOVING_PERSONS = 9
uint8 WHEELCHAIR_USERS = 10
uint8 VISUAL_DISABILITIES = 11
uint8 AUDIO_DISABILITIES = 12
uint8 OTHER_UNKNOWN_DISABILITIES = 13

"""
  __slots__ = ['header','map']
  _slot_types = ['etsi_its_mapem_ts_msgs/ItsPduHeader','etsi_its_mapem_ts_msgs/MapData']

  def __init__(self, *args, **kwds):
    """
    Constructor. Any message fields that are implicitly/explicitly
    set to None will be assigned a default value. The recommend
    use is keyword arguments as this is more robust to future message
    changes.  You cannot mix in-order arguments and keyword arguments.

    The available fields are:
       header,map

    :param args: complete set of field values, in .msg order
    :param kwds: use keyword arguments corresponding to message field names
    to set specific fields.
    """
    if args or kwds:
      super(MAPEM, self).__init__(*args, **kwds)
      # message fields cannot be None, assign default values for those that are
      if self.header is None:
        self.header = etsi_its_mapem_ts_msgs.msg.ItsPduHeader()
      if self.map is None:
        self.map = etsi_its_mapem_ts_msgs.msg.MapData()
    else:
      self.header = etsi_its_mapem_ts_msgs.msg.ItsPduHeader()
      self.map = etsi_its_mapem_ts_msgs.msg.MapData()

  def _get_types(self):
    """
    internal API method
    """
    return self._slot_types

  def serialize(self, buff):
    """
    serialize message into buffer
    :param buff: buffer, ``StringIO``
    """
    try:
      _x = self
      buff.write(_get_struct_2B2I6B().pack(_x.header.protocol_version, _x.header.message_id, _x.header.station_id.value, _x.map.time_stamp.value, _x.map.time_stamp_is_present, _x.map.msg_issue_revision.value, _x.map.layer_type.value, _x.map.layer_type_is_present, _x.map.layer_id.value, _x.map.layer_id_is_present))
      length = len(self.map.intersections.array)
      buff.write(_struct_I.pack(length))
      for val1 in self.map.intersections.array:
        _v1 = val1.name
        _x = _v1.value
        length = len(_x)
        if python3 or type(_x) == unicode:
          _x = _x.encode('utf-8')
          length = len(_x)
        buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
        _x = val1.name_is_present
        buff.write(_get_struct_B().pack(_x))
        _v2 = val1.id
        _v3 = _v2.region
        _x = _v3.value
        buff.write(_get_struct_H().pack(_x))
        _x = _v2.region_is_present
        buff.write(_get_struct_B().pack(_x))
        _v4 = _v2.id
        _x = _v4.value
        buff.write(_get_struct_H().pack(_x))
        _v5 = val1.revision
        _x = _v5.value
        buff.write(_get_struct_B().pack(_x))
        _v6 = val1.ref_point
        _v7 = _v6.lat
        _x = _v7.value
        buff.write(_get_struct_i().pack(_x))
        _v8 = _v6.lon
        _x = _v8.value
        buff.write(_get_struct_i().pack(_x))
        _v9 = _v6.elevation
        _x = _v9.value
        buff.write(_get_struct_i().pack(_x))
        _x = _v6.elevation_is_present
        buff.write(_get_struct_B().pack(_x))
        _v10 = val1.lane_width
        _x = _v10.value
        buff.write(_get_struct_H().pack(_x))
        _x = val1.lane_width_is_present
        buff.write(_get_struct_B().pack(_x))
        _v11 = val1.speed_limits
        length = len(_v11.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v11.array:
          _v12 = val3.type
          _x = _v12.value
          buff.write(_get_struct_B().pack(_x))
          _v13 = val3.speed
          _x = _v13.value
          buff.write(_get_struct_H().pack(_x))
        _x = val1.speed_limits_is_present
        buff.write(_get_struct_B().pack(_x))
        _v14 = val1.lane_set
        length = len(_v14.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v14.array:
          _v15 = val3.lane_id
          _x = _v15.value
          buff.write(_get_struct_B().pack(_x))
          _v16 = val3.name
          _x = _v16.value
          length = len(_x)
          if python3 or type(_x) == unicode:
            _x = _x.encode('utf-8')
            length = len(_x)
          buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = val3.name_is_present
          buff.write(_get_struct_B().pack(_x))
          _v17 = val3.ingress_approach
          _x = _v17.value
          buff.write(_get_struct_B().pack(_x))
          _x = val3.ingress_approach_is_present
          buff.write(_get_struct_B().pack(_x))
          _v18 = val3.egress_approach
          _x = _v18.value
          buff.write(_get_struct_B().pack(_x))
          _x = val3.egress_approach_is_present
          buff.write(_get_struct_B().pack(_x))
          _v19 = val3.lane_attributes
          _v20 = _v19.directional_use
          _x = _v20.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v20.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v21 = _v19.shared_with
          _x = _v21.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v21.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v22 = _v19.lane_type
          _x = _v22.choice
          buff.write(_get_struct_B().pack(_x))
          _v23 = _v22.vehicle
          _x = _v23.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v23.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v24 = _v22.crosswalk
          _x = _v24.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v24.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v25 = _v22.bike_lane
          _x = _v25.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v25.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v26 = _v22.sidewalk
          _x = _v26.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v26.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v27 = _v22.median
          _x = _v27.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v27.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v28 = _v22.striping
          _x = _v28.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v28.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v29 = _v22.tracked_vehicle
          _x = _v29.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v29.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v30 = _v22.parking
          _x = _v30.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v30.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v31 = val3.maneuvers
          _x = _v31.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v31.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _x = val3.maneuvers_is_present
          buff.write(_get_struct_B().pack(_x))
          _v32 = val3.node_list
          _x = _v32.choice
          buff.write(_get_struct_B().pack(_x))
          _v33 = _v32.nodes
          length = len(_v33.array)
          buff.write(_struct_I.pack(length))
          for val6 in _v33.array:
            _v34 = val6.delta
            _x = _v34.choice
            buff.write(_get_struct_B().pack(_x))
            _v35 = _v34.node_xy1
            _v36 = _v35.x
            _x = _v36.value
            buff.write(_get_struct_h().pack(_x))
            _v37 = _v35.y
            _x = _v37.value
            buff.write(_get_struct_h().pack(_x))
            _v38 = _v34.node_xy2
            _v39 = _v38.x
            _x = _v39.value
            buff.write(_get_struct_h().pack(_x))
            _v40 = _v38.y
            _x = _v40.value
            buff.write(_get_struct_h().pack(_x))
            _v41 = _v34.node_xy3
            _v42 = _v41.x
            _x = _v42.value
            buff.write(_get_struct_h().pack(_x))
            _v43 = _v41.y
            _x = _v43.value
            buff.write(_get_struct_h().pack(_x))
            _v44 = _v34.node_xy4
            _v45 = _v44.x
            _x = _v45.value
            buff.write(_get_struct_h().pack(_x))
            _v46 = _v44.y
            _x = _v46.value
            buff.write(_get_struct_h().pack(_x))
            _v47 = _v34.node_xy5
            _v48 = _v47.x
            _x = _v48.value
            buff.write(_get_struct_h().pack(_x))
            _v49 = _v47.y
            _x = _v49.value
            buff.write(_get_struct_h().pack(_x))
            _v50 = _v34.node_xy6
            _v51 = _v50.x
            _x = _v51.value
            buff.write(_get_struct_h().pack(_x))
            _v52 = _v50.y
            _x = _v52.value
            buff.write(_get_struct_h().pack(_x))
            _v53 = _v34.node_lat_lon
            _v54 = _v53.lon
            _x = _v54.value
            buff.write(_get_struct_i().pack(_x))
            _v55 = _v53.lat
            _x = _v55.value
            buff.write(_get_struct_i().pack(_x))
            _v56 = val6.attributes
            _v57 = _v56.local_node
            length = len(_v57.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v57.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v56.local_node_is_present
            buff.write(_get_struct_B().pack(_x))
            _v58 = _v56.disabled
            length = len(_v58.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v58.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v56.disabled_is_present
            buff.write(_get_struct_B().pack(_x))
            _v59 = _v56.enabled
            length = len(_v59.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v59.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v56.enabled_is_present
            buff.write(_get_struct_B().pack(_x))
            _v60 = _v56.data
            length = len(_v60.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v60.array:
              _x = val9.choice
              buff.write(_get_struct_B().pack(_x))
              _v61 = val9.path_end_point_angle
              _x = _v61.value
              buff.write(_get_struct_h().pack(_x))
              _v62 = val9.lane_crown_point_center
              _x = _v62.value
              buff.write(_get_struct_b().pack(_x))
              _v63 = val9.lane_crown_point_left
              _x = _v63.value
              buff.write(_get_struct_b().pack(_x))
              _v64 = val9.lane_crown_point_right
              _x = _v64.value
              buff.write(_get_struct_b().pack(_x))
              _v65 = val9.lane_angle
              _x = _v65.value
              buff.write(_get_struct_h().pack(_x))
              _v66 = val9.speed_limits
              length = len(_v66.array)
              buff.write(_struct_I.pack(length))
              for val11 in _v66.array:
                _v67 = val11.type
                _x = _v67.value
                buff.write(_get_struct_B().pack(_x))
                _v68 = val11.speed
                _x = _v68.value
                buff.write(_get_struct_H().pack(_x))
            _x = _v56.data_is_present
            buff.write(_get_struct_B().pack(_x))
            _v69 = _v56.d_width
            _x = _v69.value
            buff.write(_get_struct_h().pack(_x))
            _x = _v56.d_width_is_present
            buff.write(_get_struct_B().pack(_x))
            _v70 = _v56.d_elevation
            _x = _v70.value
            buff.write(_get_struct_h().pack(_x))
            _x = _v56.d_elevation_is_present
            buff.write(_get_struct_B().pack(_x))
            _x = val6.attributes_is_present
            buff.write(_get_struct_B().pack(_x))
          _v71 = _v32.computed
          _v72 = _v71.reference_lane_id
          _x = _v72.value
          buff.write(_get_struct_B().pack(_x))
          _x = _v71.offset_xaxis_choice
          buff.write(_get_struct_B().pack(_x))
          _v73 = _v71.offset_xaxis_small
          _x = _v73.value
          buff.write(_get_struct_h().pack(_x))
          _v74 = _v71.offset_xaxis_large
          _x = _v74.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v71.offset_yaxis_choice
          buff.write(_get_struct_B().pack(_x))
          _v75 = _v71.offset_yaxis_small
          _x = _v75.value
          buff.write(_get_struct_h().pack(_x))
          _v76 = _v71.offset_yaxis_large
          _x = _v76.value
          buff.write(_get_struct_h().pack(_x))
          _v77 = _v71.rotate_xy
          _x = _v77.value
          buff.write(_get_struct_H().pack(_x))
          _x = _v71.rotate_xy_is_present
          buff.write(_get_struct_B().pack(_x))
          _v78 = _v71.scale_xaxis
          _x = _v78.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v71.scale_xaxis_is_present
          buff.write(_get_struct_B().pack(_x))
          _v79 = _v71.scale_yaxis
          _x = _v79.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v71.scale_yaxis_is_present
          buff.write(_get_struct_B().pack(_x))
          _v80 = val3.connects_to
          length = len(_v80.array)
          buff.write(_struct_I.pack(length))
          for val5 in _v80.array:
            _v81 = val5.connecting_lane
            _v82 = _v81.lane
            _x = _v82.value
            buff.write(_get_struct_B().pack(_x))
            _v83 = _v81.maneuver
            _x = _v83.value
            length = len(_x)
            # - if encoded as a list instead, serialize as bytes instead of string
            if type(_x) in [list, tuple]:
              buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
            else:
              buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
            _x = _v83.bits_unused
            buff.write(_get_struct_B().pack(_x))
            _x = _v81.maneuver_is_present
            buff.write(_get_struct_B().pack(_x))
            _v84 = val5.remote_intersection
            _v85 = _v84.region
            _x = _v85.value
            buff.write(_get_struct_H().pack(_x))
            _x = _v84.region_is_present
            buff.write(_get_struct_B().pack(_x))
            _v86 = _v84.id
            _x = _v86.value
            buff.write(_get_struct_H().pack(_x))
            _x = val5.remote_intersection_is_present
            buff.write(_get_struct_B().pack(_x))
            _v87 = val5.signal_group
            _x = _v87.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.signal_group_is_present
            buff.write(_get_struct_B().pack(_x))
            _v88 = val5.user_class
            _x = _v88.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.user_class_is_present
            buff.write(_get_struct_B().pack(_x))
            _v89 = val5.connection_id
            _x = _v89.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.connection_id_is_present
            buff.write(_get_struct_B().pack(_x))
          _x = val3.connects_to_is_present
          buff.write(_get_struct_B().pack(_x))
          _v90 = val3.overlays
          length = len(_v90.array)
          buff.write(_struct_I.pack(length))
          for val5 in _v90.array:
            _x = val5.value
            buff.write(_get_struct_B().pack(_x))
          _x = val3.overlays_is_present
          buff.write(_get_struct_B().pack(_x))
        _v91 = val1.preempt_priority_data
        length = len(_v91.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v91.array:
          pass
        _x = val1.preempt_priority_data_is_present
        buff.write(_get_struct_B().pack(_x))
      _x = self.map.intersections_is_present
      buff.write(_get_struct_B().pack(_x))
      length = len(self.map.road_segments.array)
      buff.write(_struct_I.pack(length))
      for val1 in self.map.road_segments.array:
        _v92 = val1.name
        _x = _v92.value
        length = len(_x)
        if python3 or type(_x) == unicode:
          _x = _x.encode('utf-8')
          length = len(_x)
        buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
        _x = val1.name_is_present
        buff.write(_get_struct_B().pack(_x))
        _v93 = val1.id
        _v94 = _v93.region
        _x = _v94.value
        buff.write(_get_struct_H().pack(_x))
        _x = _v93.region_is_present
        buff.write(_get_struct_B().pack(_x))
        _v95 = _v93.id
        _x = _v95.value
        buff.write(_get_struct_H().pack(_x))
        _v96 = val1.revision
        _x = _v96.value
        buff.write(_get_struct_B().pack(_x))
        _v97 = val1.ref_point
        _v98 = _v97.lat
        _x = _v98.value
        buff.write(_get_struct_i().pack(_x))
        _v99 = _v97.lon
        _x = _v99.value
        buff.write(_get_struct_i().pack(_x))
        _v100 = _v97.elevation
        _x = _v100.value
        buff.write(_get_struct_i().pack(_x))
        _x = _v97.elevation_is_present
        buff.write(_get_struct_B().pack(_x))
        _v101 = val1.lane_width
        _x = _v101.value
        buff.write(_get_struct_H().pack(_x))
        _x = val1.lane_width_is_present
        buff.write(_get_struct_B().pack(_x))
        _v102 = val1.speed_limits
        length = len(_v102.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v102.array:
          _v103 = val3.type
          _x = _v103.value
          buff.write(_get_struct_B().pack(_x))
          _v104 = val3.speed
          _x = _v104.value
          buff.write(_get_struct_H().pack(_x))
        _x = val1.speed_limits_is_present
        buff.write(_get_struct_B().pack(_x))
        _v105 = val1.road_lane_set
        length = len(_v105.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v105.array:
          _v106 = val3.lane_id
          _x = _v106.value
          buff.write(_get_struct_B().pack(_x))
          _v107 = val3.name
          _x = _v107.value
          length = len(_x)
          if python3 or type(_x) == unicode:
            _x = _x.encode('utf-8')
            length = len(_x)
          buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = val3.name_is_present
          buff.write(_get_struct_B().pack(_x))
          _v108 = val3.ingress_approach
          _x = _v108.value
          buff.write(_get_struct_B().pack(_x))
          _x = val3.ingress_approach_is_present
          buff.write(_get_struct_B().pack(_x))
          _v109 = val3.egress_approach
          _x = _v109.value
          buff.write(_get_struct_B().pack(_x))
          _x = val3.egress_approach_is_present
          buff.write(_get_struct_B().pack(_x))
          _v110 = val3.lane_attributes
          _v111 = _v110.directional_use
          _x = _v111.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v111.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v112 = _v110.shared_with
          _x = _v112.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v112.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v113 = _v110.lane_type
          _x = _v113.choice
          buff.write(_get_struct_B().pack(_x))
          _v114 = _v113.vehicle
          _x = _v114.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v114.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v115 = _v113.crosswalk
          _x = _v115.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v115.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v116 = _v113.bike_lane
          _x = _v116.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v116.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v117 = _v113.sidewalk
          _x = _v117.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v117.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v118 = _v113.median
          _x = _v118.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v118.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v119 = _v113.striping
          _x = _v119.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v119.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v120 = _v113.tracked_vehicle
          _x = _v120.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v120.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v121 = _v113.parking
          _x = _v121.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v121.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v122 = val3.maneuvers
          _x = _v122.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v122.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _x = val3.maneuvers_is_present
          buff.write(_get_struct_B().pack(_x))
          _v123 = val3.node_list
          _x = _v123.choice
          buff.write(_get_struct_B().pack(_x))
          _v124 = _v123.nodes
          length = len(_v124.array)
          buff.write(_struct_I.pack(length))
          for val6 in _v124.array:
            _v125 = val6.delta
            _x = _v125.choice
            buff.write(_get_struct_B().pack(_x))
            _v126 = _v125.node_xy1
            _v127 = _v126.x
            _x = _v127.value
            buff.write(_get_struct_h().pack(_x))
            _v128 = _v126.y
            _x = _v128.value
            buff.write(_get_struct_h().pack(_x))
            _v129 = _v125.node_xy2
            _v130 = _v129.x
            _x = _v130.value
            buff.write(_get_struct_h().pack(_x))
            _v131 = _v129.y
            _x = _v131.value
            buff.write(_get_struct_h().pack(_x))
            _v132 = _v125.node_xy3
            _v133 = _v132.x
            _x = _v133.value
            buff.write(_get_struct_h().pack(_x))
            _v134 = _v132.y
            _x = _v134.value
            buff.write(_get_struct_h().pack(_x))
            _v135 = _v125.node_xy4
            _v136 = _v135.x
            _x = _v136.value
            buff.write(_get_struct_h().pack(_x))
            _v137 = _v135.y
            _x = _v137.value
            buff.write(_get_struct_h().pack(_x))
            _v138 = _v125.node_xy5
            _v139 = _v138.x
            _x = _v139.value
            buff.write(_get_struct_h().pack(_x))
            _v140 = _v138.y
            _x = _v140.value
            buff.write(_get_struct_h().pack(_x))
            _v141 = _v125.node_xy6
            _v142 = _v141.x
            _x = _v142.value
            buff.write(_get_struct_h().pack(_x))
            _v143 = _v141.y
            _x = _v143.value
            buff.write(_get_struct_h().pack(_x))
            _v144 = _v125.node_lat_lon
            _v145 = _v144.lon
            _x = _v145.value
            buff.write(_get_struct_i().pack(_x))
            _v146 = _v144.lat
            _x = _v146.value
            buff.write(_get_struct_i().pack(_x))
            _v147 = val6.attributes
            _v148 = _v147.local_node
            length = len(_v148.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v148.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v147.local_node_is_present
            buff.write(_get_struct_B().pack(_x))
            _v149 = _v147.disabled
            length = len(_v149.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v149.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v147.disabled_is_present
            buff.write(_get_struct_B().pack(_x))
            _v150 = _v147.enabled
            length = len(_v150.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v150.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v147.enabled_is_present
            buff.write(_get_struct_B().pack(_x))
            _v151 = _v147.data
            length = len(_v151.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v151.array:
              _x = val9.choice
              buff.write(_get_struct_B().pack(_x))
              _v152 = val9.path_end_point_angle
              _x = _v152.value
              buff.write(_get_struct_h().pack(_x))
              _v153 = val9.lane_crown_point_center
              _x = _v153.value
              buff.write(_get_struct_b().pack(_x))
              _v154 = val9.lane_crown_point_left
              _x = _v154.value
              buff.write(_get_struct_b().pack(_x))
              _v155 = val9.lane_crown_point_right
              _x = _v155.value
              buff.write(_get_struct_b().pack(_x))
              _v156 = val9.lane_angle
              _x = _v156.value
              buff.write(_get_struct_h().pack(_x))
              _v157 = val9.speed_limits
              length = len(_v157.array)
              buff.write(_struct_I.pack(length))
              for val11 in _v157.array:
                _v158 = val11.type
                _x = _v158.value
                buff.write(_get_struct_B().pack(_x))
                _v159 = val11.speed
                _x = _v159.value
                buff.write(_get_struct_H().pack(_x))
            _x = _v147.data_is_present
            buff.write(_get_struct_B().pack(_x))
            _v160 = _v147.d_width
            _x = _v160.value
            buff.write(_get_struct_h().pack(_x))
            _x = _v147.d_width_is_present
            buff.write(_get_struct_B().pack(_x))
            _v161 = _v147.d_elevation
            _x = _v161.value
            buff.write(_get_struct_h().pack(_x))
            _x = _v147.d_elevation_is_present
            buff.write(_get_struct_B().pack(_x))
            _x = val6.attributes_is_present
            buff.write(_get_struct_B().pack(_x))
          _v162 = _v123.computed
          _v163 = _v162.reference_lane_id
          _x = _v163.value
          buff.write(_get_struct_B().pack(_x))
          _x = _v162.offset_xaxis_choice
          buff.write(_get_struct_B().pack(_x))
          _v164 = _v162.offset_xaxis_small
          _x = _v164.value
          buff.write(_get_struct_h().pack(_x))
          _v165 = _v162.offset_xaxis_large
          _x = _v165.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v162.offset_yaxis_choice
          buff.write(_get_struct_B().pack(_x))
          _v166 = _v162.offset_yaxis_small
          _x = _v166.value
          buff.write(_get_struct_h().pack(_x))
          _v167 = _v162.offset_yaxis_large
          _x = _v167.value
          buff.write(_get_struct_h().pack(_x))
          _v168 = _v162.rotate_xy
          _x = _v168.value
          buff.write(_get_struct_H().pack(_x))
          _x = _v162.rotate_xy_is_present
          buff.write(_get_struct_B().pack(_x))
          _v169 = _v162.scale_xaxis
          _x = _v169.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v162.scale_xaxis_is_present
          buff.write(_get_struct_B().pack(_x))
          _v170 = _v162.scale_yaxis
          _x = _v170.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v162.scale_yaxis_is_present
          buff.write(_get_struct_B().pack(_x))
          _v171 = val3.connects_to
          length = len(_v171.array)
          buff.write(_struct_I.pack(length))
          for val5 in _v171.array:
            _v172 = val5.connecting_lane
            _v173 = _v172.lane
            _x = _v173.value
            buff.write(_get_struct_B().pack(_x))
            _v174 = _v172.maneuver
            _x = _v174.value
            length = len(_x)
            # - if encoded as a list instead, serialize as bytes instead of string
            if type(_x) in [list, tuple]:
              buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
            else:
              buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
            _x = _v174.bits_unused
            buff.write(_get_struct_B().pack(_x))
            _x = _v172.maneuver_is_present
            buff.write(_get_struct_B().pack(_x))
            _v175 = val5.remote_intersection
            _v176 = _v175.region
            _x = _v176.value
            buff.write(_get_struct_H().pack(_x))
            _x = _v175.region_is_present
            buff.write(_get_struct_B().pack(_x))
            _v177 = _v175.id
            _x = _v177.value
            buff.write(_get_struct_H().pack(_x))
            _x = val5.remote_intersection_is_present
            buff.write(_get_struct_B().pack(_x))
            _v178 = val5.signal_group
            _x = _v178.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.signal_group_is_present
            buff.write(_get_struct_B().pack(_x))
            _v179 = val5.user_class
            _x = _v179.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.user_class_is_present
            buff.write(_get_struct_B().pack(_x))
            _v180 = val5.connection_id
            _x = _v180.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.connection_id_is_present
            buff.write(_get_struct_B().pack(_x))
          _x = val3.connects_to_is_present
          buff.write(_get_struct_B().pack(_x))
          _v181 = val3.overlays
          length = len(_v181.array)
          buff.write(_struct_I.pack(length))
          for val5 in _v181.array:
            _x = val5.value
            buff.write(_get_struct_B().pack(_x))
          _x = val3.overlays_is_present
          buff.write(_get_struct_B().pack(_x))
      _x = self.map.road_segments_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.map.data_parameters.process_method
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.map.data_parameters.process_method_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.map.data_parameters.process_agency
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.map.data_parameters.process_agency_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.map.data_parameters.last_checked_date
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.map.data_parameters.last_checked_date_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.map.data_parameters.geoid_used
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self
      buff.write(_get_struct_2B().pack(_x.map.data_parameters.geoid_used_is_present, _x.map.data_parameters_is_present))
      length = len(self.map.restriction_list.array)
      buff.write(_struct_I.pack(length))
      for val1 in self.map.restriction_list.array:
        _v182 = val1.id
        _x = _v182.value
        buff.write(_get_struct_B().pack(_x))
        _v183 = val1.users
        length = len(_v183.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v183.array:
          _x = val3.choice
          buff.write(_get_struct_B().pack(_x))
          _v184 = val3.basic_type
          _x = _v184.value
          buff.write(_get_struct_B().pack(_x))
      _x = self.map.restriction_list_is_present
      buff.write(_get_struct_B().pack(_x))
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    except TypeError as te: self._check_types(ValueError("%s: '%s' when writing '%s'" % (type(te), str(te), str(locals().get('_x', self)))))

  def deserialize(self, str):
    """
    unpack serialized message in str into this message instance
    :param str: byte array of serialized message, ``str``
    """
    if python3:
      codecs.lookup_error("rosmsg").msg_type = self._type
    try:
      if self.header is None:
        self.header = etsi_its_mapem_ts_msgs.msg.ItsPduHeader()
      if self.map is None:
        self.map = etsi_its_mapem_ts_msgs.msg.MapData()
      end = 0
      _x = self
      start = end
      end += 16
      (_x.header.protocol_version, _x.header.message_id, _x.header.station_id.value, _x.map.time_stamp.value, _x.map.time_stamp_is_present, _x.map.msg_issue_revision.value, _x.map.layer_type.value, _x.map.layer_type_is_present, _x.map.layer_id.value, _x.map.layer_id_is_present,) = _get_struct_2B2I6B().unpack(str[start:end])
      self.map.time_stamp_is_present = bool(self.map.time_stamp_is_present)
      self.map.layer_type_is_present = bool(self.map.layer_type_is_present)
      self.map.layer_id_is_present = bool(self.map.layer_id_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      self.map.intersections.array = []
      for i in range(0, length):
        val1 = etsi_its_mapem_ts_msgs.msg.IntersectionGeometry()
        _v185 = val1.name
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        start = end
        end += length
        if python3:
          _v185.value = str[start:end].decode('utf-8', 'rosmsg')
        else:
          _v185.value = str[start:end]
        start = end
        end += 1
        (val1.name_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.name_is_present = bool(val1.name_is_present)
        _v186 = val1.id
        _v187 = _v186.region
        start = end
        end += 2
        (_v187.value,) = _get_struct_H().unpack(str[start:end])
        start = end
        end += 1
        (_v186.region_is_present,) = _get_struct_B().unpack(str[start:end])
        _v186.region_is_present = bool(_v186.region_is_present)
        _v188 = _v186.id
        start = end
        end += 2
        (_v188.value,) = _get_struct_H().unpack(str[start:end])
        _v189 = val1.revision
        start = end
        end += 1
        (_v189.value,) = _get_struct_B().unpack(str[start:end])
        _v190 = val1.ref_point
        _v191 = _v190.lat
        start = end
        end += 4
        (_v191.value,) = _get_struct_i().unpack(str[start:end])
        _v192 = _v190.lon
        start = end
        end += 4
        (_v192.value,) = _get_struct_i().unpack(str[start:end])
        _v193 = _v190.elevation
        start = end
        end += 4
        (_v193.value,) = _get_struct_i().unpack(str[start:end])
        start = end
        end += 1
        (_v190.elevation_is_present,) = _get_struct_B().unpack(str[start:end])
        _v190.elevation_is_present = bool(_v190.elevation_is_present)
        _v194 = val1.lane_width
        start = end
        end += 2
        (_v194.value,) = _get_struct_H().unpack(str[start:end])
        start = end
        end += 1
        (val1.lane_width_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.lane_width_is_present = bool(val1.lane_width_is_present)
        _v195 = val1.speed_limits
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v195.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.RegulatorySpeedLimit()
          _v196 = val3.type
          start = end
          end += 1
          (_v196.value,) = _get_struct_B().unpack(str[start:end])
          _v197 = val3.speed
          start = end
          end += 2
          (_v197.value,) = _get_struct_H().unpack(str[start:end])
          _v195.array.append(val3)
        start = end
        end += 1
        (val1.speed_limits_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.speed_limits_is_present = bool(val1.speed_limits_is_present)
        _v198 = val1.lane_set
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v198.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.GenericLane()
          _v199 = val3.lane_id
          start = end
          end += 1
          (_v199.value,) = _get_struct_B().unpack(str[start:end])
          _v200 = val3.name
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          if python3:
            _v200.value = str[start:end].decode('utf-8', 'rosmsg')
          else:
            _v200.value = str[start:end]
          start = end
          end += 1
          (val3.name_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.name_is_present = bool(val3.name_is_present)
          _v201 = val3.ingress_approach
          start = end
          end += 1
          (_v201.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.ingress_approach_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.ingress_approach_is_present = bool(val3.ingress_approach_is_present)
          _v202 = val3.egress_approach
          start = end
          end += 1
          (_v202.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.egress_approach_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.egress_approach_is_present = bool(val3.egress_approach_is_present)
          _v203 = val3.lane_attributes
          _v204 = _v203.directional_use
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v204.value = str[start:end]
          start = end
          end += 1
          (_v204.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v205 = _v203.shared_with
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v205.value = str[start:end]
          start = end
          end += 1
          (_v205.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v206 = _v203.lane_type
          start = end
          end += 1
          (_v206.choice,) = _get_struct_B().unpack(str[start:end])
          _v207 = _v206.vehicle
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v207.value = str[start:end]
          start = end
          end += 1
          (_v207.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v208 = _v206.crosswalk
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v208.value = str[start:end]
          start = end
          end += 1
          (_v208.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v209 = _v206.bike_lane
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v209.value = str[start:end]
          start = end
          end += 1
          (_v209.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v210 = _v206.sidewalk
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v210.value = str[start:end]
          start = end
          end += 1
          (_v210.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v211 = _v206.median
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v211.value = str[start:end]
          start = end
          end += 1
          (_v211.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v212 = _v206.striping
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v212.value = str[start:end]
          start = end
          end += 1
          (_v212.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v213 = _v206.tracked_vehicle
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v213.value = str[start:end]
          start = end
          end += 1
          (_v213.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v214 = _v206.parking
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v214.value = str[start:end]
          start = end
          end += 1
          (_v214.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v215 = val3.maneuvers
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v215.value = str[start:end]
          start = end
          end += 1
          (_v215.bits_unused,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.maneuvers_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.maneuvers_is_present = bool(val3.maneuvers_is_present)
          _v216 = val3.node_list
          start = end
          end += 1
          (_v216.choice,) = _get_struct_B().unpack(str[start:end])
          _v217 = _v216.nodes
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v217.array = []
          for i in range(0, length):
            val6 = etsi_its_mapem_ts_msgs.msg.NodeXY()
            _v218 = val6.delta
            start = end
            end += 1
            (_v218.choice,) = _get_struct_B().unpack(str[start:end])
            _v219 = _v218.node_xy1
            _v220 = _v219.x
            start = end
            end += 2
            (_v220.value,) = _get_struct_h().unpack(str[start:end])
            _v221 = _v219.y
            start = end
            end += 2
            (_v221.value,) = _get_struct_h().unpack(str[start:end])
            _v222 = _v218.node_xy2
            _v223 = _v222.x
            start = end
            end += 2
            (_v223.value,) = _get_struct_h().unpack(str[start:end])
            _v224 = _v222.y
            start = end
            end += 2
            (_v224.value,) = _get_struct_h().unpack(str[start:end])
            _v225 = _v218.node_xy3
            _v226 = _v225.x
            start = end
            end += 2
            (_v226.value,) = _get_struct_h().unpack(str[start:end])
            _v227 = _v225.y
            start = end
            end += 2
            (_v227.value,) = _get_struct_h().unpack(str[start:end])
            _v228 = _v218.node_xy4
            _v229 = _v228.x
            start = end
            end += 2
            (_v229.value,) = _get_struct_h().unpack(str[start:end])
            _v230 = _v228.y
            start = end
            end += 2
            (_v230.value,) = _get_struct_h().unpack(str[start:end])
            _v231 = _v218.node_xy5
            _v232 = _v231.x
            start = end
            end += 2
            (_v232.value,) = _get_struct_h().unpack(str[start:end])
            _v233 = _v231.y
            start = end
            end += 2
            (_v233.value,) = _get_struct_h().unpack(str[start:end])
            _v234 = _v218.node_xy6
            _v235 = _v234.x
            start = end
            end += 2
            (_v235.value,) = _get_struct_h().unpack(str[start:end])
            _v236 = _v234.y
            start = end
            end += 2
            (_v236.value,) = _get_struct_h().unpack(str[start:end])
            _v237 = _v218.node_lat_lon
            _v238 = _v237.lon
            start = end
            end += 4
            (_v238.value,) = _get_struct_i().unpack(str[start:end])
            _v239 = _v237.lat
            start = end
            end += 4
            (_v239.value,) = _get_struct_i().unpack(str[start:end])
            _v240 = val6.attributes
            _v241 = _v240.local_node
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v241.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.NodeAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v241.array.append(val9)
            start = end
            end += 1
            (_v240.local_node_is_present,) = _get_struct_B().unpack(str[start:end])
            _v240.local_node_is_present = bool(_v240.local_node_is_present)
            _v242 = _v240.disabled
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v242.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.SegmentAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v242.array.append(val9)
            start = end
            end += 1
            (_v240.disabled_is_present,) = _get_struct_B().unpack(str[start:end])
            _v240.disabled_is_present = bool(_v240.disabled_is_present)
            _v243 = _v240.enabled
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v243.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.SegmentAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v243.array.append(val9)
            start = end
            end += 1
            (_v240.enabled_is_present,) = _get_struct_B().unpack(str[start:end])
            _v240.enabled_is_present = bool(_v240.enabled_is_present)
            _v244 = _v240.data
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v244.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.LaneDataAttribute()
              start = end
              end += 1
              (val9.choice,) = _get_struct_B().unpack(str[start:end])
              _v245 = val9.path_end_point_angle
              start = end
              end += 2
              (_v245.value,) = _get_struct_h().unpack(str[start:end])
              _v246 = val9.lane_crown_point_center
              start = end
              end += 1
              (_v246.value,) = _get_struct_b().unpack(str[start:end])
              _v247 = val9.lane_crown_point_left
              start = end
              end += 1
              (_v247.value,) = _get_struct_b().unpack(str[start:end])
              _v248 = val9.lane_crown_point_right
              start = end
              end += 1
              (_v248.value,) = _get_struct_b().unpack(str[start:end])
              _v249 = val9.lane_angle
              start = end
              end += 2
              (_v249.value,) = _get_struct_h().unpack(str[start:end])
              _v250 = val9.speed_limits
              start = end
              end += 4
              (length,) = _struct_I.unpack(str[start:end])
              _v250.array = []
              for i in range(0, length):
                val11 = etsi_its_mapem_ts_msgs.msg.RegulatorySpeedLimit()
                _v251 = val11.type
                start = end
                end += 1
                (_v251.value,) = _get_struct_B().unpack(str[start:end])
                _v252 = val11.speed
                start = end
                end += 2
                (_v252.value,) = _get_struct_H().unpack(str[start:end])
                _v250.array.append(val11)
              _v244.array.append(val9)
            start = end
            end += 1
            (_v240.data_is_present,) = _get_struct_B().unpack(str[start:end])
            _v240.data_is_present = bool(_v240.data_is_present)
            _v253 = _v240.d_width
            start = end
            end += 2
            (_v253.value,) = _get_struct_h().unpack(str[start:end])
            start = end
            end += 1
            (_v240.d_width_is_present,) = _get_struct_B().unpack(str[start:end])
            _v240.d_width_is_present = bool(_v240.d_width_is_present)
            _v254 = _v240.d_elevation
            start = end
            end += 2
            (_v254.value,) = _get_struct_h().unpack(str[start:end])
            start = end
            end += 1
            (_v240.d_elevation_is_present,) = _get_struct_B().unpack(str[start:end])
            _v240.d_elevation_is_present = bool(_v240.d_elevation_is_present)
            start = end
            end += 1
            (val6.attributes_is_present,) = _get_struct_B().unpack(str[start:end])
            val6.attributes_is_present = bool(val6.attributes_is_present)
            _v217.array.append(val6)
          _v255 = _v216.computed
          _v256 = _v255.reference_lane_id
          start = end
          end += 1
          (_v256.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (_v255.offset_xaxis_choice,) = _get_struct_B().unpack(str[start:end])
          _v257 = _v255.offset_xaxis_small
          start = end
          end += 2
          (_v257.value,) = _get_struct_h().unpack(str[start:end])
          _v258 = _v255.offset_xaxis_large
          start = end
          end += 2
          (_v258.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v255.offset_yaxis_choice,) = _get_struct_B().unpack(str[start:end])
          _v259 = _v255.offset_yaxis_small
          start = end
          end += 2
          (_v259.value,) = _get_struct_h().unpack(str[start:end])
          _v260 = _v255.offset_yaxis_large
          start = end
          end += 2
          (_v260.value,) = _get_struct_h().unpack(str[start:end])
          _v261 = _v255.rotate_xy
          start = end
          end += 2
          (_v261.value,) = _get_struct_H().unpack(str[start:end])
          start = end
          end += 1
          (_v255.rotate_xy_is_present,) = _get_struct_B().unpack(str[start:end])
          _v255.rotate_xy_is_present = bool(_v255.rotate_xy_is_present)
          _v262 = _v255.scale_xaxis
          start = end
          end += 2
          (_v262.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v255.scale_xaxis_is_present,) = _get_struct_B().unpack(str[start:end])
          _v255.scale_xaxis_is_present = bool(_v255.scale_xaxis_is_present)
          _v263 = _v255.scale_yaxis
          start = end
          end += 2
          (_v263.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v255.scale_yaxis_is_present,) = _get_struct_B().unpack(str[start:end])
          _v255.scale_yaxis_is_present = bool(_v255.scale_yaxis_is_present)
          _v264 = val3.connects_to
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v264.array = []
          for i in range(0, length):
            val5 = etsi_its_mapem_ts_msgs.msg.Connection()
            _v265 = val5.connecting_lane
            _v266 = _v265.lane
            start = end
            end += 1
            (_v266.value,) = _get_struct_B().unpack(str[start:end])
            _v267 = _v265.maneuver
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            start = end
            end += length
            _v267.value = str[start:end]
            start = end
            end += 1
            (_v267.bits_unused,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (_v265.maneuver_is_present,) = _get_struct_B().unpack(str[start:end])
            _v265.maneuver_is_present = bool(_v265.maneuver_is_present)
            _v268 = val5.remote_intersection
            _v269 = _v268.region
            start = end
            end += 2
            (_v269.value,) = _get_struct_H().unpack(str[start:end])
            start = end
            end += 1
            (_v268.region_is_present,) = _get_struct_B().unpack(str[start:end])
            _v268.region_is_present = bool(_v268.region_is_present)
            _v270 = _v268.id
            start = end
            end += 2
            (_v270.value,) = _get_struct_H().unpack(str[start:end])
            start = end
            end += 1
            (val5.remote_intersection_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.remote_intersection_is_present = bool(val5.remote_intersection_is_present)
            _v271 = val5.signal_group
            start = end
            end += 1
            (_v271.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.signal_group_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.signal_group_is_present = bool(val5.signal_group_is_present)
            _v272 = val5.user_class
            start = end
            end += 1
            (_v272.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.user_class_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.user_class_is_present = bool(val5.user_class_is_present)
            _v273 = val5.connection_id
            start = end
            end += 1
            (_v273.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.connection_id_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.connection_id_is_present = bool(val5.connection_id_is_present)
            _v264.array.append(val5)
          start = end
          end += 1
          (val3.connects_to_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.connects_to_is_present = bool(val3.connects_to_is_present)
          _v274 = val3.overlays
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v274.array = []
          for i in range(0, length):
            val5 = etsi_its_mapem_ts_msgs.msg.LaneID()
            start = end
            end += 1
            (val5.value,) = _get_struct_B().unpack(str[start:end])
            _v274.array.append(val5)
          start = end
          end += 1
          (val3.overlays_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.overlays_is_present = bool(val3.overlays_is_present)
          _v198.array.append(val3)
        _v275 = val1.preempt_priority_data
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v275.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.SignalControlZone()
          _v275.array.append(val3)
        start = end
        end += 1
        (val1.preempt_priority_data_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.preempt_priority_data_is_present = bool(val1.preempt_priority_data_is_present)
        self.map.intersections.array.append(val1)
      start = end
      end += 1
      (self.map.intersections_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.intersections_is_present = bool(self.map.intersections_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      self.map.road_segments.array = []
      for i in range(0, length):
        val1 = etsi_its_mapem_ts_msgs.msg.RoadSegment()
        _v276 = val1.name
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        start = end
        end += length
        if python3:
          _v276.value = str[start:end].decode('utf-8', 'rosmsg')
        else:
          _v276.value = str[start:end]
        start = end
        end += 1
        (val1.name_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.name_is_present = bool(val1.name_is_present)
        _v277 = val1.id
        _v278 = _v277.region
        start = end
        end += 2
        (_v278.value,) = _get_struct_H().unpack(str[start:end])
        start = end
        end += 1
        (_v277.region_is_present,) = _get_struct_B().unpack(str[start:end])
        _v277.region_is_present = bool(_v277.region_is_present)
        _v279 = _v277.id
        start = end
        end += 2
        (_v279.value,) = _get_struct_H().unpack(str[start:end])
        _v280 = val1.revision
        start = end
        end += 1
        (_v280.value,) = _get_struct_B().unpack(str[start:end])
        _v281 = val1.ref_point
        _v282 = _v281.lat
        start = end
        end += 4
        (_v282.value,) = _get_struct_i().unpack(str[start:end])
        _v283 = _v281.lon
        start = end
        end += 4
        (_v283.value,) = _get_struct_i().unpack(str[start:end])
        _v284 = _v281.elevation
        start = end
        end += 4
        (_v284.value,) = _get_struct_i().unpack(str[start:end])
        start = end
        end += 1
        (_v281.elevation_is_present,) = _get_struct_B().unpack(str[start:end])
        _v281.elevation_is_present = bool(_v281.elevation_is_present)
        _v285 = val1.lane_width
        start = end
        end += 2
        (_v285.value,) = _get_struct_H().unpack(str[start:end])
        start = end
        end += 1
        (val1.lane_width_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.lane_width_is_present = bool(val1.lane_width_is_present)
        _v286 = val1.speed_limits
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v286.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.RegulatorySpeedLimit()
          _v287 = val3.type
          start = end
          end += 1
          (_v287.value,) = _get_struct_B().unpack(str[start:end])
          _v288 = val3.speed
          start = end
          end += 2
          (_v288.value,) = _get_struct_H().unpack(str[start:end])
          _v286.array.append(val3)
        start = end
        end += 1
        (val1.speed_limits_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.speed_limits_is_present = bool(val1.speed_limits_is_present)
        _v289 = val1.road_lane_set
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v289.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.GenericLane()
          _v290 = val3.lane_id
          start = end
          end += 1
          (_v290.value,) = _get_struct_B().unpack(str[start:end])
          _v291 = val3.name
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          if python3:
            _v291.value = str[start:end].decode('utf-8', 'rosmsg')
          else:
            _v291.value = str[start:end]
          start = end
          end += 1
          (val3.name_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.name_is_present = bool(val3.name_is_present)
          _v292 = val3.ingress_approach
          start = end
          end += 1
          (_v292.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.ingress_approach_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.ingress_approach_is_present = bool(val3.ingress_approach_is_present)
          _v293 = val3.egress_approach
          start = end
          end += 1
          (_v293.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.egress_approach_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.egress_approach_is_present = bool(val3.egress_approach_is_present)
          _v294 = val3.lane_attributes
          _v295 = _v294.directional_use
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v295.value = str[start:end]
          start = end
          end += 1
          (_v295.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v296 = _v294.shared_with
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v296.value = str[start:end]
          start = end
          end += 1
          (_v296.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v297 = _v294.lane_type
          start = end
          end += 1
          (_v297.choice,) = _get_struct_B().unpack(str[start:end])
          _v298 = _v297.vehicle
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v298.value = str[start:end]
          start = end
          end += 1
          (_v298.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v299 = _v297.crosswalk
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v299.value = str[start:end]
          start = end
          end += 1
          (_v299.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v300 = _v297.bike_lane
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v300.value = str[start:end]
          start = end
          end += 1
          (_v300.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v301 = _v297.sidewalk
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v301.value = str[start:end]
          start = end
          end += 1
          (_v301.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v302 = _v297.median
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v302.value = str[start:end]
          start = end
          end += 1
          (_v302.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v303 = _v297.striping
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v303.value = str[start:end]
          start = end
          end += 1
          (_v303.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v304 = _v297.tracked_vehicle
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v304.value = str[start:end]
          start = end
          end += 1
          (_v304.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v305 = _v297.parking
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v305.value = str[start:end]
          start = end
          end += 1
          (_v305.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v306 = val3.maneuvers
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v306.value = str[start:end]
          start = end
          end += 1
          (_v306.bits_unused,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.maneuvers_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.maneuvers_is_present = bool(val3.maneuvers_is_present)
          _v307 = val3.node_list
          start = end
          end += 1
          (_v307.choice,) = _get_struct_B().unpack(str[start:end])
          _v308 = _v307.nodes
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v308.array = []
          for i in range(0, length):
            val6 = etsi_its_mapem_ts_msgs.msg.NodeXY()
            _v309 = val6.delta
            start = end
            end += 1
            (_v309.choice,) = _get_struct_B().unpack(str[start:end])
            _v310 = _v309.node_xy1
            _v311 = _v310.x
            start = end
            end += 2
            (_v311.value,) = _get_struct_h().unpack(str[start:end])
            _v312 = _v310.y
            start = end
            end += 2
            (_v312.value,) = _get_struct_h().unpack(str[start:end])
            _v313 = _v309.node_xy2
            _v314 = _v313.x
            start = end
            end += 2
            (_v314.value,) = _get_struct_h().unpack(str[start:end])
            _v315 = _v313.y
            start = end
            end += 2
            (_v315.value,) = _get_struct_h().unpack(str[start:end])
            _v316 = _v309.node_xy3
            _v317 = _v316.x
            start = end
            end += 2
            (_v317.value,) = _get_struct_h().unpack(str[start:end])
            _v318 = _v316.y
            start = end
            end += 2
            (_v318.value,) = _get_struct_h().unpack(str[start:end])
            _v319 = _v309.node_xy4
            _v320 = _v319.x
            start = end
            end += 2
            (_v320.value,) = _get_struct_h().unpack(str[start:end])
            _v321 = _v319.y
            start = end
            end += 2
            (_v321.value,) = _get_struct_h().unpack(str[start:end])
            _v322 = _v309.node_xy5
            _v323 = _v322.x
            start = end
            end += 2
            (_v323.value,) = _get_struct_h().unpack(str[start:end])
            _v324 = _v322.y
            start = end
            end += 2
            (_v324.value,) = _get_struct_h().unpack(str[start:end])
            _v325 = _v309.node_xy6
            _v326 = _v325.x
            start = end
            end += 2
            (_v326.value,) = _get_struct_h().unpack(str[start:end])
            _v327 = _v325.y
            start = end
            end += 2
            (_v327.value,) = _get_struct_h().unpack(str[start:end])
            _v328 = _v309.node_lat_lon
            _v329 = _v328.lon
            start = end
            end += 4
            (_v329.value,) = _get_struct_i().unpack(str[start:end])
            _v330 = _v328.lat
            start = end
            end += 4
            (_v330.value,) = _get_struct_i().unpack(str[start:end])
            _v331 = val6.attributes
            _v332 = _v331.local_node
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v332.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.NodeAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v332.array.append(val9)
            start = end
            end += 1
            (_v331.local_node_is_present,) = _get_struct_B().unpack(str[start:end])
            _v331.local_node_is_present = bool(_v331.local_node_is_present)
            _v333 = _v331.disabled
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v333.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.SegmentAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v333.array.append(val9)
            start = end
            end += 1
            (_v331.disabled_is_present,) = _get_struct_B().unpack(str[start:end])
            _v331.disabled_is_present = bool(_v331.disabled_is_present)
            _v334 = _v331.enabled
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v334.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.SegmentAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v334.array.append(val9)
            start = end
            end += 1
            (_v331.enabled_is_present,) = _get_struct_B().unpack(str[start:end])
            _v331.enabled_is_present = bool(_v331.enabled_is_present)
            _v335 = _v331.data
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v335.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.LaneDataAttribute()
              start = end
              end += 1
              (val9.choice,) = _get_struct_B().unpack(str[start:end])
              _v336 = val9.path_end_point_angle
              start = end
              end += 2
              (_v336.value,) = _get_struct_h().unpack(str[start:end])
              _v337 = val9.lane_crown_point_center
              start = end
              end += 1
              (_v337.value,) = _get_struct_b().unpack(str[start:end])
              _v338 = val9.lane_crown_point_left
              start = end
              end += 1
              (_v338.value,) = _get_struct_b().unpack(str[start:end])
              _v339 = val9.lane_crown_point_right
              start = end
              end += 1
              (_v339.value,) = _get_struct_b().unpack(str[start:end])
              _v340 = val9.lane_angle
              start = end
              end += 2
              (_v340.value,) = _get_struct_h().unpack(str[start:end])
              _v341 = val9.speed_limits
              start = end
              end += 4
              (length,) = _struct_I.unpack(str[start:end])
              _v341.array = []
              for i in range(0, length):
                val11 = etsi_its_mapem_ts_msgs.msg.RegulatorySpeedLimit()
                _v342 = val11.type
                start = end
                end += 1
                (_v342.value,) = _get_struct_B().unpack(str[start:end])
                _v343 = val11.speed
                start = end
                end += 2
                (_v343.value,) = _get_struct_H().unpack(str[start:end])
                _v341.array.append(val11)
              _v335.array.append(val9)
            start = end
            end += 1
            (_v331.data_is_present,) = _get_struct_B().unpack(str[start:end])
            _v331.data_is_present = bool(_v331.data_is_present)
            _v344 = _v331.d_width
            start = end
            end += 2
            (_v344.value,) = _get_struct_h().unpack(str[start:end])
            start = end
            end += 1
            (_v331.d_width_is_present,) = _get_struct_B().unpack(str[start:end])
            _v331.d_width_is_present = bool(_v331.d_width_is_present)
            _v345 = _v331.d_elevation
            start = end
            end += 2
            (_v345.value,) = _get_struct_h().unpack(str[start:end])
            start = end
            end += 1
            (_v331.d_elevation_is_present,) = _get_struct_B().unpack(str[start:end])
            _v331.d_elevation_is_present = bool(_v331.d_elevation_is_present)
            start = end
            end += 1
            (val6.attributes_is_present,) = _get_struct_B().unpack(str[start:end])
            val6.attributes_is_present = bool(val6.attributes_is_present)
            _v308.array.append(val6)
          _v346 = _v307.computed
          _v347 = _v346.reference_lane_id
          start = end
          end += 1
          (_v347.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (_v346.offset_xaxis_choice,) = _get_struct_B().unpack(str[start:end])
          _v348 = _v346.offset_xaxis_small
          start = end
          end += 2
          (_v348.value,) = _get_struct_h().unpack(str[start:end])
          _v349 = _v346.offset_xaxis_large
          start = end
          end += 2
          (_v349.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v346.offset_yaxis_choice,) = _get_struct_B().unpack(str[start:end])
          _v350 = _v346.offset_yaxis_small
          start = end
          end += 2
          (_v350.value,) = _get_struct_h().unpack(str[start:end])
          _v351 = _v346.offset_yaxis_large
          start = end
          end += 2
          (_v351.value,) = _get_struct_h().unpack(str[start:end])
          _v352 = _v346.rotate_xy
          start = end
          end += 2
          (_v352.value,) = _get_struct_H().unpack(str[start:end])
          start = end
          end += 1
          (_v346.rotate_xy_is_present,) = _get_struct_B().unpack(str[start:end])
          _v346.rotate_xy_is_present = bool(_v346.rotate_xy_is_present)
          _v353 = _v346.scale_xaxis
          start = end
          end += 2
          (_v353.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v346.scale_xaxis_is_present,) = _get_struct_B().unpack(str[start:end])
          _v346.scale_xaxis_is_present = bool(_v346.scale_xaxis_is_present)
          _v354 = _v346.scale_yaxis
          start = end
          end += 2
          (_v354.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v346.scale_yaxis_is_present,) = _get_struct_B().unpack(str[start:end])
          _v346.scale_yaxis_is_present = bool(_v346.scale_yaxis_is_present)
          _v355 = val3.connects_to
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v355.array = []
          for i in range(0, length):
            val5 = etsi_its_mapem_ts_msgs.msg.Connection()
            _v356 = val5.connecting_lane
            _v357 = _v356.lane
            start = end
            end += 1
            (_v357.value,) = _get_struct_B().unpack(str[start:end])
            _v358 = _v356.maneuver
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            start = end
            end += length
            _v358.value = str[start:end]
            start = end
            end += 1
            (_v358.bits_unused,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (_v356.maneuver_is_present,) = _get_struct_B().unpack(str[start:end])
            _v356.maneuver_is_present = bool(_v356.maneuver_is_present)
            _v359 = val5.remote_intersection
            _v360 = _v359.region
            start = end
            end += 2
            (_v360.value,) = _get_struct_H().unpack(str[start:end])
            start = end
            end += 1
            (_v359.region_is_present,) = _get_struct_B().unpack(str[start:end])
            _v359.region_is_present = bool(_v359.region_is_present)
            _v361 = _v359.id
            start = end
            end += 2
            (_v361.value,) = _get_struct_H().unpack(str[start:end])
            start = end
            end += 1
            (val5.remote_intersection_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.remote_intersection_is_present = bool(val5.remote_intersection_is_present)
            _v362 = val5.signal_group
            start = end
            end += 1
            (_v362.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.signal_group_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.signal_group_is_present = bool(val5.signal_group_is_present)
            _v363 = val5.user_class
            start = end
            end += 1
            (_v363.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.user_class_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.user_class_is_present = bool(val5.user_class_is_present)
            _v364 = val5.connection_id
            start = end
            end += 1
            (_v364.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.connection_id_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.connection_id_is_present = bool(val5.connection_id_is_present)
            _v355.array.append(val5)
          start = end
          end += 1
          (val3.connects_to_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.connects_to_is_present = bool(val3.connects_to_is_present)
          _v365 = val3.overlays
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v365.array = []
          for i in range(0, length):
            val5 = etsi_its_mapem_ts_msgs.msg.LaneID()
            start = end
            end += 1
            (val5.value,) = _get_struct_B().unpack(str[start:end])
            _v365.array.append(val5)
          start = end
          end += 1
          (val3.overlays_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.overlays_is_present = bool(val3.overlays_is_present)
          _v289.array.append(val3)
        self.map.road_segments.array.append(val1)
      start = end
      end += 1
      (self.map.road_segments_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.road_segments_is_present = bool(self.map.road_segments_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.map.data_parameters.process_method = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.map.data_parameters.process_method = str[start:end]
      start = end
      end += 1
      (self.map.data_parameters.process_method_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.data_parameters.process_method_is_present = bool(self.map.data_parameters.process_method_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.map.data_parameters.process_agency = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.map.data_parameters.process_agency = str[start:end]
      start = end
      end += 1
      (self.map.data_parameters.process_agency_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.data_parameters.process_agency_is_present = bool(self.map.data_parameters.process_agency_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.map.data_parameters.last_checked_date = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.map.data_parameters.last_checked_date = str[start:end]
      start = end
      end += 1
      (self.map.data_parameters.last_checked_date_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.data_parameters.last_checked_date_is_present = bool(self.map.data_parameters.last_checked_date_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.map.data_parameters.geoid_used = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.map.data_parameters.geoid_used = str[start:end]
      _x = self
      start = end
      end += 2
      (_x.map.data_parameters.geoid_used_is_present, _x.map.data_parameters_is_present,) = _get_struct_2B().unpack(str[start:end])
      self.map.data_parameters.geoid_used_is_present = bool(self.map.data_parameters.geoid_used_is_present)
      self.map.data_parameters_is_present = bool(self.map.data_parameters_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      self.map.restriction_list.array = []
      for i in range(0, length):
        val1 = etsi_its_mapem_ts_msgs.msg.RestrictionClassAssignment()
        _v366 = val1.id
        start = end
        end += 1
        (_v366.value,) = _get_struct_B().unpack(str[start:end])
        _v367 = val1.users
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v367.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.RestrictionUserType()
          start = end
          end += 1
          (val3.choice,) = _get_struct_B().unpack(str[start:end])
          _v368 = val3.basic_type
          start = end
          end += 1
          (_v368.value,) = _get_struct_B().unpack(str[start:end])
          _v367.array.append(val3)
        self.map.restriction_list.array.append(val1)
      start = end
      end += 1
      (self.map.restriction_list_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.restriction_list_is_present = bool(self.map.restriction_list_is_present)
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e)  # most likely buffer underfill


  def serialize_numpy(self, buff, numpy):
    """
    serialize message with numpy array types into buffer
    :param buff: buffer, ``StringIO``
    :param numpy: numpy python module
    """
    try:
      _x = self
      buff.write(_get_struct_2B2I6B().pack(_x.header.protocol_version, _x.header.message_id, _x.header.station_id.value, _x.map.time_stamp.value, _x.map.time_stamp_is_present, _x.map.msg_issue_revision.value, _x.map.layer_type.value, _x.map.layer_type_is_present, _x.map.layer_id.value, _x.map.layer_id_is_present))
      length = len(self.map.intersections.array)
      buff.write(_struct_I.pack(length))
      for val1 in self.map.intersections.array:
        _v369 = val1.name
        _x = _v369.value
        length = len(_x)
        if python3 or type(_x) == unicode:
          _x = _x.encode('utf-8')
          length = len(_x)
        buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
        _x = val1.name_is_present
        buff.write(_get_struct_B().pack(_x))
        _v370 = val1.id
        _v371 = _v370.region
        _x = _v371.value
        buff.write(_get_struct_H().pack(_x))
        _x = _v370.region_is_present
        buff.write(_get_struct_B().pack(_x))
        _v372 = _v370.id
        _x = _v372.value
        buff.write(_get_struct_H().pack(_x))
        _v373 = val1.revision
        _x = _v373.value
        buff.write(_get_struct_B().pack(_x))
        _v374 = val1.ref_point
        _v375 = _v374.lat
        _x = _v375.value
        buff.write(_get_struct_i().pack(_x))
        _v376 = _v374.lon
        _x = _v376.value
        buff.write(_get_struct_i().pack(_x))
        _v377 = _v374.elevation
        _x = _v377.value
        buff.write(_get_struct_i().pack(_x))
        _x = _v374.elevation_is_present
        buff.write(_get_struct_B().pack(_x))
        _v378 = val1.lane_width
        _x = _v378.value
        buff.write(_get_struct_H().pack(_x))
        _x = val1.lane_width_is_present
        buff.write(_get_struct_B().pack(_x))
        _v379 = val1.speed_limits
        length = len(_v379.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v379.array:
          _v380 = val3.type
          _x = _v380.value
          buff.write(_get_struct_B().pack(_x))
          _v381 = val3.speed
          _x = _v381.value
          buff.write(_get_struct_H().pack(_x))
        _x = val1.speed_limits_is_present
        buff.write(_get_struct_B().pack(_x))
        _v382 = val1.lane_set
        length = len(_v382.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v382.array:
          _v383 = val3.lane_id
          _x = _v383.value
          buff.write(_get_struct_B().pack(_x))
          _v384 = val3.name
          _x = _v384.value
          length = len(_x)
          if python3 or type(_x) == unicode:
            _x = _x.encode('utf-8')
            length = len(_x)
          buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = val3.name_is_present
          buff.write(_get_struct_B().pack(_x))
          _v385 = val3.ingress_approach
          _x = _v385.value
          buff.write(_get_struct_B().pack(_x))
          _x = val3.ingress_approach_is_present
          buff.write(_get_struct_B().pack(_x))
          _v386 = val3.egress_approach
          _x = _v386.value
          buff.write(_get_struct_B().pack(_x))
          _x = val3.egress_approach_is_present
          buff.write(_get_struct_B().pack(_x))
          _v387 = val3.lane_attributes
          _v388 = _v387.directional_use
          _x = _v388.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v388.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v389 = _v387.shared_with
          _x = _v389.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v389.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v390 = _v387.lane_type
          _x = _v390.choice
          buff.write(_get_struct_B().pack(_x))
          _v391 = _v390.vehicle
          _x = _v391.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v391.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v392 = _v390.crosswalk
          _x = _v392.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v392.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v393 = _v390.bike_lane
          _x = _v393.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v393.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v394 = _v390.sidewalk
          _x = _v394.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v394.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v395 = _v390.median
          _x = _v395.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v395.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v396 = _v390.striping
          _x = _v396.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v396.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v397 = _v390.tracked_vehicle
          _x = _v397.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v397.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v398 = _v390.parking
          _x = _v398.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v398.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v399 = val3.maneuvers
          _x = _v399.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v399.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _x = val3.maneuvers_is_present
          buff.write(_get_struct_B().pack(_x))
          _v400 = val3.node_list
          _x = _v400.choice
          buff.write(_get_struct_B().pack(_x))
          _v401 = _v400.nodes
          length = len(_v401.array)
          buff.write(_struct_I.pack(length))
          for val6 in _v401.array:
            _v402 = val6.delta
            _x = _v402.choice
            buff.write(_get_struct_B().pack(_x))
            _v403 = _v402.node_xy1
            _v404 = _v403.x
            _x = _v404.value
            buff.write(_get_struct_h().pack(_x))
            _v405 = _v403.y
            _x = _v405.value
            buff.write(_get_struct_h().pack(_x))
            _v406 = _v402.node_xy2
            _v407 = _v406.x
            _x = _v407.value
            buff.write(_get_struct_h().pack(_x))
            _v408 = _v406.y
            _x = _v408.value
            buff.write(_get_struct_h().pack(_x))
            _v409 = _v402.node_xy3
            _v410 = _v409.x
            _x = _v410.value
            buff.write(_get_struct_h().pack(_x))
            _v411 = _v409.y
            _x = _v411.value
            buff.write(_get_struct_h().pack(_x))
            _v412 = _v402.node_xy4
            _v413 = _v412.x
            _x = _v413.value
            buff.write(_get_struct_h().pack(_x))
            _v414 = _v412.y
            _x = _v414.value
            buff.write(_get_struct_h().pack(_x))
            _v415 = _v402.node_xy5
            _v416 = _v415.x
            _x = _v416.value
            buff.write(_get_struct_h().pack(_x))
            _v417 = _v415.y
            _x = _v417.value
            buff.write(_get_struct_h().pack(_x))
            _v418 = _v402.node_xy6
            _v419 = _v418.x
            _x = _v419.value
            buff.write(_get_struct_h().pack(_x))
            _v420 = _v418.y
            _x = _v420.value
            buff.write(_get_struct_h().pack(_x))
            _v421 = _v402.node_lat_lon
            _v422 = _v421.lon
            _x = _v422.value
            buff.write(_get_struct_i().pack(_x))
            _v423 = _v421.lat
            _x = _v423.value
            buff.write(_get_struct_i().pack(_x))
            _v424 = val6.attributes
            _v425 = _v424.local_node
            length = len(_v425.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v425.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v424.local_node_is_present
            buff.write(_get_struct_B().pack(_x))
            _v426 = _v424.disabled
            length = len(_v426.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v426.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v424.disabled_is_present
            buff.write(_get_struct_B().pack(_x))
            _v427 = _v424.enabled
            length = len(_v427.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v427.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v424.enabled_is_present
            buff.write(_get_struct_B().pack(_x))
            _v428 = _v424.data
            length = len(_v428.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v428.array:
              _x = val9.choice
              buff.write(_get_struct_B().pack(_x))
              _v429 = val9.path_end_point_angle
              _x = _v429.value
              buff.write(_get_struct_h().pack(_x))
              _v430 = val9.lane_crown_point_center
              _x = _v430.value
              buff.write(_get_struct_b().pack(_x))
              _v431 = val9.lane_crown_point_left
              _x = _v431.value
              buff.write(_get_struct_b().pack(_x))
              _v432 = val9.lane_crown_point_right
              _x = _v432.value
              buff.write(_get_struct_b().pack(_x))
              _v433 = val9.lane_angle
              _x = _v433.value
              buff.write(_get_struct_h().pack(_x))
              _v434 = val9.speed_limits
              length = len(_v434.array)
              buff.write(_struct_I.pack(length))
              for val11 in _v434.array:
                _v435 = val11.type
                _x = _v435.value
                buff.write(_get_struct_B().pack(_x))
                _v436 = val11.speed
                _x = _v436.value
                buff.write(_get_struct_H().pack(_x))
            _x = _v424.data_is_present
            buff.write(_get_struct_B().pack(_x))
            _v437 = _v424.d_width
            _x = _v437.value
            buff.write(_get_struct_h().pack(_x))
            _x = _v424.d_width_is_present
            buff.write(_get_struct_B().pack(_x))
            _v438 = _v424.d_elevation
            _x = _v438.value
            buff.write(_get_struct_h().pack(_x))
            _x = _v424.d_elevation_is_present
            buff.write(_get_struct_B().pack(_x))
            _x = val6.attributes_is_present
            buff.write(_get_struct_B().pack(_x))
          _v439 = _v400.computed
          _v440 = _v439.reference_lane_id
          _x = _v440.value
          buff.write(_get_struct_B().pack(_x))
          _x = _v439.offset_xaxis_choice
          buff.write(_get_struct_B().pack(_x))
          _v441 = _v439.offset_xaxis_small
          _x = _v441.value
          buff.write(_get_struct_h().pack(_x))
          _v442 = _v439.offset_xaxis_large
          _x = _v442.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v439.offset_yaxis_choice
          buff.write(_get_struct_B().pack(_x))
          _v443 = _v439.offset_yaxis_small
          _x = _v443.value
          buff.write(_get_struct_h().pack(_x))
          _v444 = _v439.offset_yaxis_large
          _x = _v444.value
          buff.write(_get_struct_h().pack(_x))
          _v445 = _v439.rotate_xy
          _x = _v445.value
          buff.write(_get_struct_H().pack(_x))
          _x = _v439.rotate_xy_is_present
          buff.write(_get_struct_B().pack(_x))
          _v446 = _v439.scale_xaxis
          _x = _v446.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v439.scale_xaxis_is_present
          buff.write(_get_struct_B().pack(_x))
          _v447 = _v439.scale_yaxis
          _x = _v447.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v439.scale_yaxis_is_present
          buff.write(_get_struct_B().pack(_x))
          _v448 = val3.connects_to
          length = len(_v448.array)
          buff.write(_struct_I.pack(length))
          for val5 in _v448.array:
            _v449 = val5.connecting_lane
            _v450 = _v449.lane
            _x = _v450.value
            buff.write(_get_struct_B().pack(_x))
            _v451 = _v449.maneuver
            _x = _v451.value
            length = len(_x)
            # - if encoded as a list instead, serialize as bytes instead of string
            if type(_x) in [list, tuple]:
              buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
            else:
              buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
            _x = _v451.bits_unused
            buff.write(_get_struct_B().pack(_x))
            _x = _v449.maneuver_is_present
            buff.write(_get_struct_B().pack(_x))
            _v452 = val5.remote_intersection
            _v453 = _v452.region
            _x = _v453.value
            buff.write(_get_struct_H().pack(_x))
            _x = _v452.region_is_present
            buff.write(_get_struct_B().pack(_x))
            _v454 = _v452.id
            _x = _v454.value
            buff.write(_get_struct_H().pack(_x))
            _x = val5.remote_intersection_is_present
            buff.write(_get_struct_B().pack(_x))
            _v455 = val5.signal_group
            _x = _v455.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.signal_group_is_present
            buff.write(_get_struct_B().pack(_x))
            _v456 = val5.user_class
            _x = _v456.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.user_class_is_present
            buff.write(_get_struct_B().pack(_x))
            _v457 = val5.connection_id
            _x = _v457.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.connection_id_is_present
            buff.write(_get_struct_B().pack(_x))
          _x = val3.connects_to_is_present
          buff.write(_get_struct_B().pack(_x))
          _v458 = val3.overlays
          length = len(_v458.array)
          buff.write(_struct_I.pack(length))
          for val5 in _v458.array:
            _x = val5.value
            buff.write(_get_struct_B().pack(_x))
          _x = val3.overlays_is_present
          buff.write(_get_struct_B().pack(_x))
        _v459 = val1.preempt_priority_data
        length = len(_v459.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v459.array:
          pass
        _x = val1.preempt_priority_data_is_present
        buff.write(_get_struct_B().pack(_x))
      _x = self.map.intersections_is_present
      buff.write(_get_struct_B().pack(_x))
      length = len(self.map.road_segments.array)
      buff.write(_struct_I.pack(length))
      for val1 in self.map.road_segments.array:
        _v460 = val1.name
        _x = _v460.value
        length = len(_x)
        if python3 or type(_x) == unicode:
          _x = _x.encode('utf-8')
          length = len(_x)
        buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
        _x = val1.name_is_present
        buff.write(_get_struct_B().pack(_x))
        _v461 = val1.id
        _v462 = _v461.region
        _x = _v462.value
        buff.write(_get_struct_H().pack(_x))
        _x = _v461.region_is_present
        buff.write(_get_struct_B().pack(_x))
        _v463 = _v461.id
        _x = _v463.value
        buff.write(_get_struct_H().pack(_x))
        _v464 = val1.revision
        _x = _v464.value
        buff.write(_get_struct_B().pack(_x))
        _v465 = val1.ref_point
        _v466 = _v465.lat
        _x = _v466.value
        buff.write(_get_struct_i().pack(_x))
        _v467 = _v465.lon
        _x = _v467.value
        buff.write(_get_struct_i().pack(_x))
        _v468 = _v465.elevation
        _x = _v468.value
        buff.write(_get_struct_i().pack(_x))
        _x = _v465.elevation_is_present
        buff.write(_get_struct_B().pack(_x))
        _v469 = val1.lane_width
        _x = _v469.value
        buff.write(_get_struct_H().pack(_x))
        _x = val1.lane_width_is_present
        buff.write(_get_struct_B().pack(_x))
        _v470 = val1.speed_limits
        length = len(_v470.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v470.array:
          _v471 = val3.type
          _x = _v471.value
          buff.write(_get_struct_B().pack(_x))
          _v472 = val3.speed
          _x = _v472.value
          buff.write(_get_struct_H().pack(_x))
        _x = val1.speed_limits_is_present
        buff.write(_get_struct_B().pack(_x))
        _v473 = val1.road_lane_set
        length = len(_v473.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v473.array:
          _v474 = val3.lane_id
          _x = _v474.value
          buff.write(_get_struct_B().pack(_x))
          _v475 = val3.name
          _x = _v475.value
          length = len(_x)
          if python3 or type(_x) == unicode:
            _x = _x.encode('utf-8')
            length = len(_x)
          buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = val3.name_is_present
          buff.write(_get_struct_B().pack(_x))
          _v476 = val3.ingress_approach
          _x = _v476.value
          buff.write(_get_struct_B().pack(_x))
          _x = val3.ingress_approach_is_present
          buff.write(_get_struct_B().pack(_x))
          _v477 = val3.egress_approach
          _x = _v477.value
          buff.write(_get_struct_B().pack(_x))
          _x = val3.egress_approach_is_present
          buff.write(_get_struct_B().pack(_x))
          _v478 = val3.lane_attributes
          _v479 = _v478.directional_use
          _x = _v479.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v479.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v480 = _v478.shared_with
          _x = _v480.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v480.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v481 = _v478.lane_type
          _x = _v481.choice
          buff.write(_get_struct_B().pack(_x))
          _v482 = _v481.vehicle
          _x = _v482.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v482.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v483 = _v481.crosswalk
          _x = _v483.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v483.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v484 = _v481.bike_lane
          _x = _v484.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v484.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v485 = _v481.sidewalk
          _x = _v485.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v485.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v486 = _v481.median
          _x = _v486.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v486.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v487 = _v481.striping
          _x = _v487.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v487.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v488 = _v481.tracked_vehicle
          _x = _v488.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v488.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v489 = _v481.parking
          _x = _v489.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v489.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _v490 = val3.maneuvers
          _x = _v490.value
          length = len(_x)
          # - if encoded as a list instead, serialize as bytes instead of string
          if type(_x) in [list, tuple]:
            buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
          else:
            buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
          _x = _v490.bits_unused
          buff.write(_get_struct_B().pack(_x))
          _x = val3.maneuvers_is_present
          buff.write(_get_struct_B().pack(_x))
          _v491 = val3.node_list
          _x = _v491.choice
          buff.write(_get_struct_B().pack(_x))
          _v492 = _v491.nodes
          length = len(_v492.array)
          buff.write(_struct_I.pack(length))
          for val6 in _v492.array:
            _v493 = val6.delta
            _x = _v493.choice
            buff.write(_get_struct_B().pack(_x))
            _v494 = _v493.node_xy1
            _v495 = _v494.x
            _x = _v495.value
            buff.write(_get_struct_h().pack(_x))
            _v496 = _v494.y
            _x = _v496.value
            buff.write(_get_struct_h().pack(_x))
            _v497 = _v493.node_xy2
            _v498 = _v497.x
            _x = _v498.value
            buff.write(_get_struct_h().pack(_x))
            _v499 = _v497.y
            _x = _v499.value
            buff.write(_get_struct_h().pack(_x))
            _v500 = _v493.node_xy3
            _v501 = _v500.x
            _x = _v501.value
            buff.write(_get_struct_h().pack(_x))
            _v502 = _v500.y
            _x = _v502.value
            buff.write(_get_struct_h().pack(_x))
            _v503 = _v493.node_xy4
            _v504 = _v503.x
            _x = _v504.value
            buff.write(_get_struct_h().pack(_x))
            _v505 = _v503.y
            _x = _v505.value
            buff.write(_get_struct_h().pack(_x))
            _v506 = _v493.node_xy5
            _v507 = _v506.x
            _x = _v507.value
            buff.write(_get_struct_h().pack(_x))
            _v508 = _v506.y
            _x = _v508.value
            buff.write(_get_struct_h().pack(_x))
            _v509 = _v493.node_xy6
            _v510 = _v509.x
            _x = _v510.value
            buff.write(_get_struct_h().pack(_x))
            _v511 = _v509.y
            _x = _v511.value
            buff.write(_get_struct_h().pack(_x))
            _v512 = _v493.node_lat_lon
            _v513 = _v512.lon
            _x = _v513.value
            buff.write(_get_struct_i().pack(_x))
            _v514 = _v512.lat
            _x = _v514.value
            buff.write(_get_struct_i().pack(_x))
            _v515 = val6.attributes
            _v516 = _v515.local_node
            length = len(_v516.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v516.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v515.local_node_is_present
            buff.write(_get_struct_B().pack(_x))
            _v517 = _v515.disabled
            length = len(_v517.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v517.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v515.disabled_is_present
            buff.write(_get_struct_B().pack(_x))
            _v518 = _v515.enabled
            length = len(_v518.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v518.array:
              _x = val9.value
              buff.write(_get_struct_B().pack(_x))
            _x = _v515.enabled_is_present
            buff.write(_get_struct_B().pack(_x))
            _v519 = _v515.data
            length = len(_v519.array)
            buff.write(_struct_I.pack(length))
            for val9 in _v519.array:
              _x = val9.choice
              buff.write(_get_struct_B().pack(_x))
              _v520 = val9.path_end_point_angle
              _x = _v520.value
              buff.write(_get_struct_h().pack(_x))
              _v521 = val9.lane_crown_point_center
              _x = _v521.value
              buff.write(_get_struct_b().pack(_x))
              _v522 = val9.lane_crown_point_left
              _x = _v522.value
              buff.write(_get_struct_b().pack(_x))
              _v523 = val9.lane_crown_point_right
              _x = _v523.value
              buff.write(_get_struct_b().pack(_x))
              _v524 = val9.lane_angle
              _x = _v524.value
              buff.write(_get_struct_h().pack(_x))
              _v525 = val9.speed_limits
              length = len(_v525.array)
              buff.write(_struct_I.pack(length))
              for val11 in _v525.array:
                _v526 = val11.type
                _x = _v526.value
                buff.write(_get_struct_B().pack(_x))
                _v527 = val11.speed
                _x = _v527.value
                buff.write(_get_struct_H().pack(_x))
            _x = _v515.data_is_present
            buff.write(_get_struct_B().pack(_x))
            _v528 = _v515.d_width
            _x = _v528.value
            buff.write(_get_struct_h().pack(_x))
            _x = _v515.d_width_is_present
            buff.write(_get_struct_B().pack(_x))
            _v529 = _v515.d_elevation
            _x = _v529.value
            buff.write(_get_struct_h().pack(_x))
            _x = _v515.d_elevation_is_present
            buff.write(_get_struct_B().pack(_x))
            _x = val6.attributes_is_present
            buff.write(_get_struct_B().pack(_x))
          _v530 = _v491.computed
          _v531 = _v530.reference_lane_id
          _x = _v531.value
          buff.write(_get_struct_B().pack(_x))
          _x = _v530.offset_xaxis_choice
          buff.write(_get_struct_B().pack(_x))
          _v532 = _v530.offset_xaxis_small
          _x = _v532.value
          buff.write(_get_struct_h().pack(_x))
          _v533 = _v530.offset_xaxis_large
          _x = _v533.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v530.offset_yaxis_choice
          buff.write(_get_struct_B().pack(_x))
          _v534 = _v530.offset_yaxis_small
          _x = _v534.value
          buff.write(_get_struct_h().pack(_x))
          _v535 = _v530.offset_yaxis_large
          _x = _v535.value
          buff.write(_get_struct_h().pack(_x))
          _v536 = _v530.rotate_xy
          _x = _v536.value
          buff.write(_get_struct_H().pack(_x))
          _x = _v530.rotate_xy_is_present
          buff.write(_get_struct_B().pack(_x))
          _v537 = _v530.scale_xaxis
          _x = _v537.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v530.scale_xaxis_is_present
          buff.write(_get_struct_B().pack(_x))
          _v538 = _v530.scale_yaxis
          _x = _v538.value
          buff.write(_get_struct_h().pack(_x))
          _x = _v530.scale_yaxis_is_present
          buff.write(_get_struct_B().pack(_x))
          _v539 = val3.connects_to
          length = len(_v539.array)
          buff.write(_struct_I.pack(length))
          for val5 in _v539.array:
            _v540 = val5.connecting_lane
            _v541 = _v540.lane
            _x = _v541.value
            buff.write(_get_struct_B().pack(_x))
            _v542 = _v540.maneuver
            _x = _v542.value
            length = len(_x)
            # - if encoded as a list instead, serialize as bytes instead of string
            if type(_x) in [list, tuple]:
              buff.write(struct.Struct('<I%sB'%length).pack(length, *_x))
            else:
              buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
            _x = _v542.bits_unused
            buff.write(_get_struct_B().pack(_x))
            _x = _v540.maneuver_is_present
            buff.write(_get_struct_B().pack(_x))
            _v543 = val5.remote_intersection
            _v544 = _v543.region
            _x = _v544.value
            buff.write(_get_struct_H().pack(_x))
            _x = _v543.region_is_present
            buff.write(_get_struct_B().pack(_x))
            _v545 = _v543.id
            _x = _v545.value
            buff.write(_get_struct_H().pack(_x))
            _x = val5.remote_intersection_is_present
            buff.write(_get_struct_B().pack(_x))
            _v546 = val5.signal_group
            _x = _v546.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.signal_group_is_present
            buff.write(_get_struct_B().pack(_x))
            _v547 = val5.user_class
            _x = _v547.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.user_class_is_present
            buff.write(_get_struct_B().pack(_x))
            _v548 = val5.connection_id
            _x = _v548.value
            buff.write(_get_struct_B().pack(_x))
            _x = val5.connection_id_is_present
            buff.write(_get_struct_B().pack(_x))
          _x = val3.connects_to_is_present
          buff.write(_get_struct_B().pack(_x))
          _v549 = val3.overlays
          length = len(_v549.array)
          buff.write(_struct_I.pack(length))
          for val5 in _v549.array:
            _x = val5.value
            buff.write(_get_struct_B().pack(_x))
          _x = val3.overlays_is_present
          buff.write(_get_struct_B().pack(_x))
      _x = self.map.road_segments_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.map.data_parameters.process_method
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.map.data_parameters.process_method_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.map.data_parameters.process_agency
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.map.data_parameters.process_agency_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.map.data_parameters.last_checked_date
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self.map.data_parameters.last_checked_date_is_present
      buff.write(_get_struct_B().pack(_x))
      _x = self.map.data_parameters.geoid_used
      length = len(_x)
      if python3 or type(_x) == unicode:
        _x = _x.encode('utf-8')
        length = len(_x)
      buff.write(struct.Struct('<I%ss'%length).pack(length, _x))
      _x = self
      buff.write(_get_struct_2B().pack(_x.map.data_parameters.geoid_used_is_present, _x.map.data_parameters_is_present))
      length = len(self.map.restriction_list.array)
      buff.write(_struct_I.pack(length))
      for val1 in self.map.restriction_list.array:
        _v550 = val1.id
        _x = _v550.value
        buff.write(_get_struct_B().pack(_x))
        _v551 = val1.users
        length = len(_v551.array)
        buff.write(_struct_I.pack(length))
        for val3 in _v551.array:
          _x = val3.choice
          buff.write(_get_struct_B().pack(_x))
          _v552 = val3.basic_type
          _x = _v552.value
          buff.write(_get_struct_B().pack(_x))
      _x = self.map.restriction_list_is_present
      buff.write(_get_struct_B().pack(_x))
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    except TypeError as te: self._check_types(ValueError("%s: '%s' when writing '%s'" % (type(te), str(te), str(locals().get('_x', self)))))

  def deserialize_numpy(self, str, numpy):
    """
    unpack serialized message in str into this message instance using numpy for array types
    :param str: byte array of serialized message, ``str``
    :param numpy: numpy python module
    """
    if python3:
      codecs.lookup_error("rosmsg").msg_type = self._type
    try:
      if self.header is None:
        self.header = etsi_its_mapem_ts_msgs.msg.ItsPduHeader()
      if self.map is None:
        self.map = etsi_its_mapem_ts_msgs.msg.MapData()
      end = 0
      _x = self
      start = end
      end += 16
      (_x.header.protocol_version, _x.header.message_id, _x.header.station_id.value, _x.map.time_stamp.value, _x.map.time_stamp_is_present, _x.map.msg_issue_revision.value, _x.map.layer_type.value, _x.map.layer_type_is_present, _x.map.layer_id.value, _x.map.layer_id_is_present,) = _get_struct_2B2I6B().unpack(str[start:end])
      self.map.time_stamp_is_present = bool(self.map.time_stamp_is_present)
      self.map.layer_type_is_present = bool(self.map.layer_type_is_present)
      self.map.layer_id_is_present = bool(self.map.layer_id_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      self.map.intersections.array = []
      for i in range(0, length):
        val1 = etsi_its_mapem_ts_msgs.msg.IntersectionGeometry()
        _v553 = val1.name
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        start = end
        end += length
        if python3:
          _v553.value = str[start:end].decode('utf-8', 'rosmsg')
        else:
          _v553.value = str[start:end]
        start = end
        end += 1
        (val1.name_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.name_is_present = bool(val1.name_is_present)
        _v554 = val1.id
        _v555 = _v554.region
        start = end
        end += 2
        (_v555.value,) = _get_struct_H().unpack(str[start:end])
        start = end
        end += 1
        (_v554.region_is_present,) = _get_struct_B().unpack(str[start:end])
        _v554.region_is_present = bool(_v554.region_is_present)
        _v556 = _v554.id
        start = end
        end += 2
        (_v556.value,) = _get_struct_H().unpack(str[start:end])
        _v557 = val1.revision
        start = end
        end += 1
        (_v557.value,) = _get_struct_B().unpack(str[start:end])
        _v558 = val1.ref_point
        _v559 = _v558.lat
        start = end
        end += 4
        (_v559.value,) = _get_struct_i().unpack(str[start:end])
        _v560 = _v558.lon
        start = end
        end += 4
        (_v560.value,) = _get_struct_i().unpack(str[start:end])
        _v561 = _v558.elevation
        start = end
        end += 4
        (_v561.value,) = _get_struct_i().unpack(str[start:end])
        start = end
        end += 1
        (_v558.elevation_is_present,) = _get_struct_B().unpack(str[start:end])
        _v558.elevation_is_present = bool(_v558.elevation_is_present)
        _v562 = val1.lane_width
        start = end
        end += 2
        (_v562.value,) = _get_struct_H().unpack(str[start:end])
        start = end
        end += 1
        (val1.lane_width_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.lane_width_is_present = bool(val1.lane_width_is_present)
        _v563 = val1.speed_limits
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v563.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.RegulatorySpeedLimit()
          _v564 = val3.type
          start = end
          end += 1
          (_v564.value,) = _get_struct_B().unpack(str[start:end])
          _v565 = val3.speed
          start = end
          end += 2
          (_v565.value,) = _get_struct_H().unpack(str[start:end])
          _v563.array.append(val3)
        start = end
        end += 1
        (val1.speed_limits_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.speed_limits_is_present = bool(val1.speed_limits_is_present)
        _v566 = val1.lane_set
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v566.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.GenericLane()
          _v567 = val3.lane_id
          start = end
          end += 1
          (_v567.value,) = _get_struct_B().unpack(str[start:end])
          _v568 = val3.name
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          if python3:
            _v568.value = str[start:end].decode('utf-8', 'rosmsg')
          else:
            _v568.value = str[start:end]
          start = end
          end += 1
          (val3.name_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.name_is_present = bool(val3.name_is_present)
          _v569 = val3.ingress_approach
          start = end
          end += 1
          (_v569.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.ingress_approach_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.ingress_approach_is_present = bool(val3.ingress_approach_is_present)
          _v570 = val3.egress_approach
          start = end
          end += 1
          (_v570.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.egress_approach_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.egress_approach_is_present = bool(val3.egress_approach_is_present)
          _v571 = val3.lane_attributes
          _v572 = _v571.directional_use
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v572.value = str[start:end]
          start = end
          end += 1
          (_v572.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v573 = _v571.shared_with
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v573.value = str[start:end]
          start = end
          end += 1
          (_v573.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v574 = _v571.lane_type
          start = end
          end += 1
          (_v574.choice,) = _get_struct_B().unpack(str[start:end])
          _v575 = _v574.vehicle
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v575.value = str[start:end]
          start = end
          end += 1
          (_v575.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v576 = _v574.crosswalk
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v576.value = str[start:end]
          start = end
          end += 1
          (_v576.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v577 = _v574.bike_lane
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v577.value = str[start:end]
          start = end
          end += 1
          (_v577.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v578 = _v574.sidewalk
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v578.value = str[start:end]
          start = end
          end += 1
          (_v578.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v579 = _v574.median
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v579.value = str[start:end]
          start = end
          end += 1
          (_v579.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v580 = _v574.striping
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v580.value = str[start:end]
          start = end
          end += 1
          (_v580.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v581 = _v574.tracked_vehicle
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v581.value = str[start:end]
          start = end
          end += 1
          (_v581.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v582 = _v574.parking
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v582.value = str[start:end]
          start = end
          end += 1
          (_v582.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v583 = val3.maneuvers
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v583.value = str[start:end]
          start = end
          end += 1
          (_v583.bits_unused,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.maneuvers_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.maneuvers_is_present = bool(val3.maneuvers_is_present)
          _v584 = val3.node_list
          start = end
          end += 1
          (_v584.choice,) = _get_struct_B().unpack(str[start:end])
          _v585 = _v584.nodes
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v585.array = []
          for i in range(0, length):
            val6 = etsi_its_mapem_ts_msgs.msg.NodeXY()
            _v586 = val6.delta
            start = end
            end += 1
            (_v586.choice,) = _get_struct_B().unpack(str[start:end])
            _v587 = _v586.node_xy1
            _v588 = _v587.x
            start = end
            end += 2
            (_v588.value,) = _get_struct_h().unpack(str[start:end])
            _v589 = _v587.y
            start = end
            end += 2
            (_v589.value,) = _get_struct_h().unpack(str[start:end])
            _v590 = _v586.node_xy2
            _v591 = _v590.x
            start = end
            end += 2
            (_v591.value,) = _get_struct_h().unpack(str[start:end])
            _v592 = _v590.y
            start = end
            end += 2
            (_v592.value,) = _get_struct_h().unpack(str[start:end])
            _v593 = _v586.node_xy3
            _v594 = _v593.x
            start = end
            end += 2
            (_v594.value,) = _get_struct_h().unpack(str[start:end])
            _v595 = _v593.y
            start = end
            end += 2
            (_v595.value,) = _get_struct_h().unpack(str[start:end])
            _v596 = _v586.node_xy4
            _v597 = _v596.x
            start = end
            end += 2
            (_v597.value,) = _get_struct_h().unpack(str[start:end])
            _v598 = _v596.y
            start = end
            end += 2
            (_v598.value,) = _get_struct_h().unpack(str[start:end])
            _v599 = _v586.node_xy5
            _v600 = _v599.x
            start = end
            end += 2
            (_v600.value,) = _get_struct_h().unpack(str[start:end])
            _v601 = _v599.y
            start = end
            end += 2
            (_v601.value,) = _get_struct_h().unpack(str[start:end])
            _v602 = _v586.node_xy6
            _v603 = _v602.x
            start = end
            end += 2
            (_v603.value,) = _get_struct_h().unpack(str[start:end])
            _v604 = _v602.y
            start = end
            end += 2
            (_v604.value,) = _get_struct_h().unpack(str[start:end])
            _v605 = _v586.node_lat_lon
            _v606 = _v605.lon
            start = end
            end += 4
            (_v606.value,) = _get_struct_i().unpack(str[start:end])
            _v607 = _v605.lat
            start = end
            end += 4
            (_v607.value,) = _get_struct_i().unpack(str[start:end])
            _v608 = val6.attributes
            _v609 = _v608.local_node
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v609.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.NodeAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v609.array.append(val9)
            start = end
            end += 1
            (_v608.local_node_is_present,) = _get_struct_B().unpack(str[start:end])
            _v608.local_node_is_present = bool(_v608.local_node_is_present)
            _v610 = _v608.disabled
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v610.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.SegmentAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v610.array.append(val9)
            start = end
            end += 1
            (_v608.disabled_is_present,) = _get_struct_B().unpack(str[start:end])
            _v608.disabled_is_present = bool(_v608.disabled_is_present)
            _v611 = _v608.enabled
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v611.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.SegmentAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v611.array.append(val9)
            start = end
            end += 1
            (_v608.enabled_is_present,) = _get_struct_B().unpack(str[start:end])
            _v608.enabled_is_present = bool(_v608.enabled_is_present)
            _v612 = _v608.data
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v612.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.LaneDataAttribute()
              start = end
              end += 1
              (val9.choice,) = _get_struct_B().unpack(str[start:end])
              _v613 = val9.path_end_point_angle
              start = end
              end += 2
              (_v613.value,) = _get_struct_h().unpack(str[start:end])
              _v614 = val9.lane_crown_point_center
              start = end
              end += 1
              (_v614.value,) = _get_struct_b().unpack(str[start:end])
              _v615 = val9.lane_crown_point_left
              start = end
              end += 1
              (_v615.value,) = _get_struct_b().unpack(str[start:end])
              _v616 = val9.lane_crown_point_right
              start = end
              end += 1
              (_v616.value,) = _get_struct_b().unpack(str[start:end])
              _v617 = val9.lane_angle
              start = end
              end += 2
              (_v617.value,) = _get_struct_h().unpack(str[start:end])
              _v618 = val9.speed_limits
              start = end
              end += 4
              (length,) = _struct_I.unpack(str[start:end])
              _v618.array = []
              for i in range(0, length):
                val11 = etsi_its_mapem_ts_msgs.msg.RegulatorySpeedLimit()
                _v619 = val11.type
                start = end
                end += 1
                (_v619.value,) = _get_struct_B().unpack(str[start:end])
                _v620 = val11.speed
                start = end
                end += 2
                (_v620.value,) = _get_struct_H().unpack(str[start:end])
                _v618.array.append(val11)
              _v612.array.append(val9)
            start = end
            end += 1
            (_v608.data_is_present,) = _get_struct_B().unpack(str[start:end])
            _v608.data_is_present = bool(_v608.data_is_present)
            _v621 = _v608.d_width
            start = end
            end += 2
            (_v621.value,) = _get_struct_h().unpack(str[start:end])
            start = end
            end += 1
            (_v608.d_width_is_present,) = _get_struct_B().unpack(str[start:end])
            _v608.d_width_is_present = bool(_v608.d_width_is_present)
            _v622 = _v608.d_elevation
            start = end
            end += 2
            (_v622.value,) = _get_struct_h().unpack(str[start:end])
            start = end
            end += 1
            (_v608.d_elevation_is_present,) = _get_struct_B().unpack(str[start:end])
            _v608.d_elevation_is_present = bool(_v608.d_elevation_is_present)
            start = end
            end += 1
            (val6.attributes_is_present,) = _get_struct_B().unpack(str[start:end])
            val6.attributes_is_present = bool(val6.attributes_is_present)
            _v585.array.append(val6)
          _v623 = _v584.computed
          _v624 = _v623.reference_lane_id
          start = end
          end += 1
          (_v624.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (_v623.offset_xaxis_choice,) = _get_struct_B().unpack(str[start:end])
          _v625 = _v623.offset_xaxis_small
          start = end
          end += 2
          (_v625.value,) = _get_struct_h().unpack(str[start:end])
          _v626 = _v623.offset_xaxis_large
          start = end
          end += 2
          (_v626.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v623.offset_yaxis_choice,) = _get_struct_B().unpack(str[start:end])
          _v627 = _v623.offset_yaxis_small
          start = end
          end += 2
          (_v627.value,) = _get_struct_h().unpack(str[start:end])
          _v628 = _v623.offset_yaxis_large
          start = end
          end += 2
          (_v628.value,) = _get_struct_h().unpack(str[start:end])
          _v629 = _v623.rotate_xy
          start = end
          end += 2
          (_v629.value,) = _get_struct_H().unpack(str[start:end])
          start = end
          end += 1
          (_v623.rotate_xy_is_present,) = _get_struct_B().unpack(str[start:end])
          _v623.rotate_xy_is_present = bool(_v623.rotate_xy_is_present)
          _v630 = _v623.scale_xaxis
          start = end
          end += 2
          (_v630.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v623.scale_xaxis_is_present,) = _get_struct_B().unpack(str[start:end])
          _v623.scale_xaxis_is_present = bool(_v623.scale_xaxis_is_present)
          _v631 = _v623.scale_yaxis
          start = end
          end += 2
          (_v631.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v623.scale_yaxis_is_present,) = _get_struct_B().unpack(str[start:end])
          _v623.scale_yaxis_is_present = bool(_v623.scale_yaxis_is_present)
          _v632 = val3.connects_to
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v632.array = []
          for i in range(0, length):
            val5 = etsi_its_mapem_ts_msgs.msg.Connection()
            _v633 = val5.connecting_lane
            _v634 = _v633.lane
            start = end
            end += 1
            (_v634.value,) = _get_struct_B().unpack(str[start:end])
            _v635 = _v633.maneuver
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            start = end
            end += length
            _v635.value = str[start:end]
            start = end
            end += 1
            (_v635.bits_unused,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (_v633.maneuver_is_present,) = _get_struct_B().unpack(str[start:end])
            _v633.maneuver_is_present = bool(_v633.maneuver_is_present)
            _v636 = val5.remote_intersection
            _v637 = _v636.region
            start = end
            end += 2
            (_v637.value,) = _get_struct_H().unpack(str[start:end])
            start = end
            end += 1
            (_v636.region_is_present,) = _get_struct_B().unpack(str[start:end])
            _v636.region_is_present = bool(_v636.region_is_present)
            _v638 = _v636.id
            start = end
            end += 2
            (_v638.value,) = _get_struct_H().unpack(str[start:end])
            start = end
            end += 1
            (val5.remote_intersection_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.remote_intersection_is_present = bool(val5.remote_intersection_is_present)
            _v639 = val5.signal_group
            start = end
            end += 1
            (_v639.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.signal_group_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.signal_group_is_present = bool(val5.signal_group_is_present)
            _v640 = val5.user_class
            start = end
            end += 1
            (_v640.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.user_class_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.user_class_is_present = bool(val5.user_class_is_present)
            _v641 = val5.connection_id
            start = end
            end += 1
            (_v641.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.connection_id_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.connection_id_is_present = bool(val5.connection_id_is_present)
            _v632.array.append(val5)
          start = end
          end += 1
          (val3.connects_to_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.connects_to_is_present = bool(val3.connects_to_is_present)
          _v642 = val3.overlays
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v642.array = []
          for i in range(0, length):
            val5 = etsi_its_mapem_ts_msgs.msg.LaneID()
            start = end
            end += 1
            (val5.value,) = _get_struct_B().unpack(str[start:end])
            _v642.array.append(val5)
          start = end
          end += 1
          (val3.overlays_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.overlays_is_present = bool(val3.overlays_is_present)
          _v566.array.append(val3)
        _v643 = val1.preempt_priority_data
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v643.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.SignalControlZone()
          _v643.array.append(val3)
        start = end
        end += 1
        (val1.preempt_priority_data_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.preempt_priority_data_is_present = bool(val1.preempt_priority_data_is_present)
        self.map.intersections.array.append(val1)
      start = end
      end += 1
      (self.map.intersections_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.intersections_is_present = bool(self.map.intersections_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      self.map.road_segments.array = []
      for i in range(0, length):
        val1 = etsi_its_mapem_ts_msgs.msg.RoadSegment()
        _v644 = val1.name
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        start = end
        end += length
        if python3:
          _v644.value = str[start:end].decode('utf-8', 'rosmsg')
        else:
          _v644.value = str[start:end]
        start = end
        end += 1
        (val1.name_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.name_is_present = bool(val1.name_is_present)
        _v645 = val1.id
        _v646 = _v645.region
        start = end
        end += 2
        (_v646.value,) = _get_struct_H().unpack(str[start:end])
        start = end
        end += 1
        (_v645.region_is_present,) = _get_struct_B().unpack(str[start:end])
        _v645.region_is_present = bool(_v645.region_is_present)
        _v647 = _v645.id
        start = end
        end += 2
        (_v647.value,) = _get_struct_H().unpack(str[start:end])
        _v648 = val1.revision
        start = end
        end += 1
        (_v648.value,) = _get_struct_B().unpack(str[start:end])
        _v649 = val1.ref_point
        _v650 = _v649.lat
        start = end
        end += 4
        (_v650.value,) = _get_struct_i().unpack(str[start:end])
        _v651 = _v649.lon
        start = end
        end += 4
        (_v651.value,) = _get_struct_i().unpack(str[start:end])
        _v652 = _v649.elevation
        start = end
        end += 4
        (_v652.value,) = _get_struct_i().unpack(str[start:end])
        start = end
        end += 1
        (_v649.elevation_is_present,) = _get_struct_B().unpack(str[start:end])
        _v649.elevation_is_present = bool(_v649.elevation_is_present)
        _v653 = val1.lane_width
        start = end
        end += 2
        (_v653.value,) = _get_struct_H().unpack(str[start:end])
        start = end
        end += 1
        (val1.lane_width_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.lane_width_is_present = bool(val1.lane_width_is_present)
        _v654 = val1.speed_limits
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v654.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.RegulatorySpeedLimit()
          _v655 = val3.type
          start = end
          end += 1
          (_v655.value,) = _get_struct_B().unpack(str[start:end])
          _v656 = val3.speed
          start = end
          end += 2
          (_v656.value,) = _get_struct_H().unpack(str[start:end])
          _v654.array.append(val3)
        start = end
        end += 1
        (val1.speed_limits_is_present,) = _get_struct_B().unpack(str[start:end])
        val1.speed_limits_is_present = bool(val1.speed_limits_is_present)
        _v657 = val1.road_lane_set
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v657.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.GenericLane()
          _v658 = val3.lane_id
          start = end
          end += 1
          (_v658.value,) = _get_struct_B().unpack(str[start:end])
          _v659 = val3.name
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          if python3:
            _v659.value = str[start:end].decode('utf-8', 'rosmsg')
          else:
            _v659.value = str[start:end]
          start = end
          end += 1
          (val3.name_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.name_is_present = bool(val3.name_is_present)
          _v660 = val3.ingress_approach
          start = end
          end += 1
          (_v660.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.ingress_approach_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.ingress_approach_is_present = bool(val3.ingress_approach_is_present)
          _v661 = val3.egress_approach
          start = end
          end += 1
          (_v661.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.egress_approach_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.egress_approach_is_present = bool(val3.egress_approach_is_present)
          _v662 = val3.lane_attributes
          _v663 = _v662.directional_use
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v663.value = str[start:end]
          start = end
          end += 1
          (_v663.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v664 = _v662.shared_with
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v664.value = str[start:end]
          start = end
          end += 1
          (_v664.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v665 = _v662.lane_type
          start = end
          end += 1
          (_v665.choice,) = _get_struct_B().unpack(str[start:end])
          _v666 = _v665.vehicle
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v666.value = str[start:end]
          start = end
          end += 1
          (_v666.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v667 = _v665.crosswalk
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v667.value = str[start:end]
          start = end
          end += 1
          (_v667.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v668 = _v665.bike_lane
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v668.value = str[start:end]
          start = end
          end += 1
          (_v668.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v669 = _v665.sidewalk
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v669.value = str[start:end]
          start = end
          end += 1
          (_v669.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v670 = _v665.median
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v670.value = str[start:end]
          start = end
          end += 1
          (_v670.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v671 = _v665.striping
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v671.value = str[start:end]
          start = end
          end += 1
          (_v671.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v672 = _v665.tracked_vehicle
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v672.value = str[start:end]
          start = end
          end += 1
          (_v672.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v673 = _v665.parking
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v673.value = str[start:end]
          start = end
          end += 1
          (_v673.bits_unused,) = _get_struct_B().unpack(str[start:end])
          _v674 = val3.maneuvers
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          start = end
          end += length
          _v674.value = str[start:end]
          start = end
          end += 1
          (_v674.bits_unused,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (val3.maneuvers_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.maneuvers_is_present = bool(val3.maneuvers_is_present)
          _v675 = val3.node_list
          start = end
          end += 1
          (_v675.choice,) = _get_struct_B().unpack(str[start:end])
          _v676 = _v675.nodes
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v676.array = []
          for i in range(0, length):
            val6 = etsi_its_mapem_ts_msgs.msg.NodeXY()
            _v677 = val6.delta
            start = end
            end += 1
            (_v677.choice,) = _get_struct_B().unpack(str[start:end])
            _v678 = _v677.node_xy1
            _v679 = _v678.x
            start = end
            end += 2
            (_v679.value,) = _get_struct_h().unpack(str[start:end])
            _v680 = _v678.y
            start = end
            end += 2
            (_v680.value,) = _get_struct_h().unpack(str[start:end])
            _v681 = _v677.node_xy2
            _v682 = _v681.x
            start = end
            end += 2
            (_v682.value,) = _get_struct_h().unpack(str[start:end])
            _v683 = _v681.y
            start = end
            end += 2
            (_v683.value,) = _get_struct_h().unpack(str[start:end])
            _v684 = _v677.node_xy3
            _v685 = _v684.x
            start = end
            end += 2
            (_v685.value,) = _get_struct_h().unpack(str[start:end])
            _v686 = _v684.y
            start = end
            end += 2
            (_v686.value,) = _get_struct_h().unpack(str[start:end])
            _v687 = _v677.node_xy4
            _v688 = _v687.x
            start = end
            end += 2
            (_v688.value,) = _get_struct_h().unpack(str[start:end])
            _v689 = _v687.y
            start = end
            end += 2
            (_v689.value,) = _get_struct_h().unpack(str[start:end])
            _v690 = _v677.node_xy5
            _v691 = _v690.x
            start = end
            end += 2
            (_v691.value,) = _get_struct_h().unpack(str[start:end])
            _v692 = _v690.y
            start = end
            end += 2
            (_v692.value,) = _get_struct_h().unpack(str[start:end])
            _v693 = _v677.node_xy6
            _v694 = _v693.x
            start = end
            end += 2
            (_v694.value,) = _get_struct_h().unpack(str[start:end])
            _v695 = _v693.y
            start = end
            end += 2
            (_v695.value,) = _get_struct_h().unpack(str[start:end])
            _v696 = _v677.node_lat_lon
            _v697 = _v696.lon
            start = end
            end += 4
            (_v697.value,) = _get_struct_i().unpack(str[start:end])
            _v698 = _v696.lat
            start = end
            end += 4
            (_v698.value,) = _get_struct_i().unpack(str[start:end])
            _v699 = val6.attributes
            _v700 = _v699.local_node
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v700.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.NodeAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v700.array.append(val9)
            start = end
            end += 1
            (_v699.local_node_is_present,) = _get_struct_B().unpack(str[start:end])
            _v699.local_node_is_present = bool(_v699.local_node_is_present)
            _v701 = _v699.disabled
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v701.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.SegmentAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v701.array.append(val9)
            start = end
            end += 1
            (_v699.disabled_is_present,) = _get_struct_B().unpack(str[start:end])
            _v699.disabled_is_present = bool(_v699.disabled_is_present)
            _v702 = _v699.enabled
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v702.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.SegmentAttributeXY()
              start = end
              end += 1
              (val9.value,) = _get_struct_B().unpack(str[start:end])
              _v702.array.append(val9)
            start = end
            end += 1
            (_v699.enabled_is_present,) = _get_struct_B().unpack(str[start:end])
            _v699.enabled_is_present = bool(_v699.enabled_is_present)
            _v703 = _v699.data
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            _v703.array = []
            for i in range(0, length):
              val9 = etsi_its_mapem_ts_msgs.msg.LaneDataAttribute()
              start = end
              end += 1
              (val9.choice,) = _get_struct_B().unpack(str[start:end])
              _v704 = val9.path_end_point_angle
              start = end
              end += 2
              (_v704.value,) = _get_struct_h().unpack(str[start:end])
              _v705 = val9.lane_crown_point_center
              start = end
              end += 1
              (_v705.value,) = _get_struct_b().unpack(str[start:end])
              _v706 = val9.lane_crown_point_left
              start = end
              end += 1
              (_v706.value,) = _get_struct_b().unpack(str[start:end])
              _v707 = val9.lane_crown_point_right
              start = end
              end += 1
              (_v707.value,) = _get_struct_b().unpack(str[start:end])
              _v708 = val9.lane_angle
              start = end
              end += 2
              (_v708.value,) = _get_struct_h().unpack(str[start:end])
              _v709 = val9.speed_limits
              start = end
              end += 4
              (length,) = _struct_I.unpack(str[start:end])
              _v709.array = []
              for i in range(0, length):
                val11 = etsi_its_mapem_ts_msgs.msg.RegulatorySpeedLimit()
                _v710 = val11.type
                start = end
                end += 1
                (_v710.value,) = _get_struct_B().unpack(str[start:end])
                _v711 = val11.speed
                start = end
                end += 2
                (_v711.value,) = _get_struct_H().unpack(str[start:end])
                _v709.array.append(val11)
              _v703.array.append(val9)
            start = end
            end += 1
            (_v699.data_is_present,) = _get_struct_B().unpack(str[start:end])
            _v699.data_is_present = bool(_v699.data_is_present)
            _v712 = _v699.d_width
            start = end
            end += 2
            (_v712.value,) = _get_struct_h().unpack(str[start:end])
            start = end
            end += 1
            (_v699.d_width_is_present,) = _get_struct_B().unpack(str[start:end])
            _v699.d_width_is_present = bool(_v699.d_width_is_present)
            _v713 = _v699.d_elevation
            start = end
            end += 2
            (_v713.value,) = _get_struct_h().unpack(str[start:end])
            start = end
            end += 1
            (_v699.d_elevation_is_present,) = _get_struct_B().unpack(str[start:end])
            _v699.d_elevation_is_present = bool(_v699.d_elevation_is_present)
            start = end
            end += 1
            (val6.attributes_is_present,) = _get_struct_B().unpack(str[start:end])
            val6.attributes_is_present = bool(val6.attributes_is_present)
            _v676.array.append(val6)
          _v714 = _v675.computed
          _v715 = _v714.reference_lane_id
          start = end
          end += 1
          (_v715.value,) = _get_struct_B().unpack(str[start:end])
          start = end
          end += 1
          (_v714.offset_xaxis_choice,) = _get_struct_B().unpack(str[start:end])
          _v716 = _v714.offset_xaxis_small
          start = end
          end += 2
          (_v716.value,) = _get_struct_h().unpack(str[start:end])
          _v717 = _v714.offset_xaxis_large
          start = end
          end += 2
          (_v717.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v714.offset_yaxis_choice,) = _get_struct_B().unpack(str[start:end])
          _v718 = _v714.offset_yaxis_small
          start = end
          end += 2
          (_v718.value,) = _get_struct_h().unpack(str[start:end])
          _v719 = _v714.offset_yaxis_large
          start = end
          end += 2
          (_v719.value,) = _get_struct_h().unpack(str[start:end])
          _v720 = _v714.rotate_xy
          start = end
          end += 2
          (_v720.value,) = _get_struct_H().unpack(str[start:end])
          start = end
          end += 1
          (_v714.rotate_xy_is_present,) = _get_struct_B().unpack(str[start:end])
          _v714.rotate_xy_is_present = bool(_v714.rotate_xy_is_present)
          _v721 = _v714.scale_xaxis
          start = end
          end += 2
          (_v721.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v714.scale_xaxis_is_present,) = _get_struct_B().unpack(str[start:end])
          _v714.scale_xaxis_is_present = bool(_v714.scale_xaxis_is_present)
          _v722 = _v714.scale_yaxis
          start = end
          end += 2
          (_v722.value,) = _get_struct_h().unpack(str[start:end])
          start = end
          end += 1
          (_v714.scale_yaxis_is_present,) = _get_struct_B().unpack(str[start:end])
          _v714.scale_yaxis_is_present = bool(_v714.scale_yaxis_is_present)
          _v723 = val3.connects_to
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v723.array = []
          for i in range(0, length):
            val5 = etsi_its_mapem_ts_msgs.msg.Connection()
            _v724 = val5.connecting_lane
            _v725 = _v724.lane
            start = end
            end += 1
            (_v725.value,) = _get_struct_B().unpack(str[start:end])
            _v726 = _v724.maneuver
            start = end
            end += 4
            (length,) = _struct_I.unpack(str[start:end])
            start = end
            end += length
            _v726.value = str[start:end]
            start = end
            end += 1
            (_v726.bits_unused,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (_v724.maneuver_is_present,) = _get_struct_B().unpack(str[start:end])
            _v724.maneuver_is_present = bool(_v724.maneuver_is_present)
            _v727 = val5.remote_intersection
            _v728 = _v727.region
            start = end
            end += 2
            (_v728.value,) = _get_struct_H().unpack(str[start:end])
            start = end
            end += 1
            (_v727.region_is_present,) = _get_struct_B().unpack(str[start:end])
            _v727.region_is_present = bool(_v727.region_is_present)
            _v729 = _v727.id
            start = end
            end += 2
            (_v729.value,) = _get_struct_H().unpack(str[start:end])
            start = end
            end += 1
            (val5.remote_intersection_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.remote_intersection_is_present = bool(val5.remote_intersection_is_present)
            _v730 = val5.signal_group
            start = end
            end += 1
            (_v730.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.signal_group_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.signal_group_is_present = bool(val5.signal_group_is_present)
            _v731 = val5.user_class
            start = end
            end += 1
            (_v731.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.user_class_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.user_class_is_present = bool(val5.user_class_is_present)
            _v732 = val5.connection_id
            start = end
            end += 1
            (_v732.value,) = _get_struct_B().unpack(str[start:end])
            start = end
            end += 1
            (val5.connection_id_is_present,) = _get_struct_B().unpack(str[start:end])
            val5.connection_id_is_present = bool(val5.connection_id_is_present)
            _v723.array.append(val5)
          start = end
          end += 1
          (val3.connects_to_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.connects_to_is_present = bool(val3.connects_to_is_present)
          _v733 = val3.overlays
          start = end
          end += 4
          (length,) = _struct_I.unpack(str[start:end])
          _v733.array = []
          for i in range(0, length):
            val5 = etsi_its_mapem_ts_msgs.msg.LaneID()
            start = end
            end += 1
            (val5.value,) = _get_struct_B().unpack(str[start:end])
            _v733.array.append(val5)
          start = end
          end += 1
          (val3.overlays_is_present,) = _get_struct_B().unpack(str[start:end])
          val3.overlays_is_present = bool(val3.overlays_is_present)
          _v657.array.append(val3)
        self.map.road_segments.array.append(val1)
      start = end
      end += 1
      (self.map.road_segments_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.road_segments_is_present = bool(self.map.road_segments_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.map.data_parameters.process_method = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.map.data_parameters.process_method = str[start:end]
      start = end
      end += 1
      (self.map.data_parameters.process_method_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.data_parameters.process_method_is_present = bool(self.map.data_parameters.process_method_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.map.data_parameters.process_agency = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.map.data_parameters.process_agency = str[start:end]
      start = end
      end += 1
      (self.map.data_parameters.process_agency_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.data_parameters.process_agency_is_present = bool(self.map.data_parameters.process_agency_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.map.data_parameters.last_checked_date = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.map.data_parameters.last_checked_date = str[start:end]
      start = end
      end += 1
      (self.map.data_parameters.last_checked_date_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.data_parameters.last_checked_date_is_present = bool(self.map.data_parameters.last_checked_date_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      start = end
      end += length
      if python3:
        self.map.data_parameters.geoid_used = str[start:end].decode('utf-8', 'rosmsg')
      else:
        self.map.data_parameters.geoid_used = str[start:end]
      _x = self
      start = end
      end += 2
      (_x.map.data_parameters.geoid_used_is_present, _x.map.data_parameters_is_present,) = _get_struct_2B().unpack(str[start:end])
      self.map.data_parameters.geoid_used_is_present = bool(self.map.data_parameters.geoid_used_is_present)
      self.map.data_parameters_is_present = bool(self.map.data_parameters_is_present)
      start = end
      end += 4
      (length,) = _struct_I.unpack(str[start:end])
      self.map.restriction_list.array = []
      for i in range(0, length):
        val1 = etsi_its_mapem_ts_msgs.msg.RestrictionClassAssignment()
        _v734 = val1.id
        start = end
        end += 1
        (_v734.value,) = _get_struct_B().unpack(str[start:end])
        _v735 = val1.users
        start = end
        end += 4
        (length,) = _struct_I.unpack(str[start:end])
        _v735.array = []
        for i in range(0, length):
          val3 = etsi_its_mapem_ts_msgs.msg.RestrictionUserType()
          start = end
          end += 1
          (val3.choice,) = _get_struct_B().unpack(str[start:end])
          _v736 = val3.basic_type
          start = end
          end += 1
          (_v736.value,) = _get_struct_B().unpack(str[start:end])
          _v735.array.append(val3)
        self.map.restriction_list.array.append(val1)
      start = end
      end += 1
      (self.map.restriction_list_is_present,) = _get_struct_B().unpack(str[start:end])
      self.map.restriction_list_is_present = bool(self.map.restriction_list_is_present)
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e)  # most likely buffer underfill

_struct_I = genpy.struct_I
def _get_struct_I():
    global _struct_I
    return _struct_I
_struct_2B = None
def _get_struct_2B():
    global _struct_2B
    if _struct_2B is None:
        _struct_2B = struct.Struct("<2B")
    return _struct_2B
_struct_2B2I6B = None
def _get_struct_2B2I6B():
    global _struct_2B2I6B
    if _struct_2B2I6B is None:
        _struct_2B2I6B = struct.Struct("<2B2I6B")
    return _struct_2B2I6B
_struct_B = None
def _get_struct_B():
    global _struct_B
    if _struct_B is None:
        _struct_B = struct.Struct("<B")
    return _struct_B
_struct_H = None
def _get_struct_H():
    global _struct_H
    if _struct_H is None:
        _struct_H = struct.Struct("<H")
    return _struct_H
_struct_b = None
def _get_struct_b():
    global _struct_b
    if _struct_b is None:
        _struct_b = struct.Struct("<b")
    return _struct_b
_struct_h = None
def _get_struct_h():
    global _struct_h
    if _struct_h is None:
        _struct_h = struct.Struct("<h")
    return _struct_h
_struct_i = None
def _get_struct_i():
    global _struct_i
    if _struct_i is None:
        _struct_i = struct.Struct("<i")
    return _struct_i
